package org.sanskritlibrary.lexicons;

public class FSMEntry {

    public String[] stateName;
    public String edge;
    public String regex;
    public String target;
    public String nextState;

    public FSMEntry(String[] stateName, String edge, String regex, String target, String nextState) {
        this.stateName = stateName;
        this.edge = edge;

        if (regex != null && regex.length() > 0) {
            this.regex = regex + "|^$";
        } else {
            this.regex = null;
        }

        this.target = target;
        this.nextState = nextState;
    }
}
