/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package org.sanskritlibrary.lexicons;
import java.nio.ByteBuffer;
import java.nio.CharBuffer;
import java.nio.charset.CharsetDecoder;
import java.nio.charset.CoderResult;
import java.nio.charset.Charset;

/**
 *
 * @author rbunker
 */
public class RawDecoder extends CharsetDecoder
{
	public RawDecoder(Charset cs, float averageCharsPerByte, float maxCharsPerByte)
	{
		super (cs, averageCharsPerByte, maxCharsPerByte);

	}
	@Override
	protected CoderResult decodeLoop(ByteBuffer arg0, CharBuffer arg1)
	{
		while (arg0.hasRemaining())
		{
			if (!arg1.hasRemaining())
				return CoderResult.OVERFLOW;
			int n = arg0.get();
			if (n < 0)
				n = n & 0x000000ff;
			arg1.put((char)n);
		}
		return CoderResult.UNDERFLOW;
	}

}
