package org.sanskritlibrary.lexicons.monier;

import java.io.*;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.ListIterator;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

//import javax.xml.parsers.ParserConfigurationException;
import javax.xml.parsers.SAXParser;
import javax.xml.parsers.SAXParserFactory;

import org.sanskritlibrary.lexicons.Transcoder;
import org.xml.sax.Attributes;
import org.xml.sax.SAXException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.xml.sax.helpers.DefaultHandler;

public class MWDisp extends DefaultHandler{
    public static int dbNum = 3;//number of databases used
  public static Connection conn[] = new Connection[dbNum];
  public static Statement stat[] = new Statement[dbNum];
	private static String $parentEl;
	private static String $row;
	private static String $row1;
	private static String $pagecol = "";
	private static int $true = 1;
	private static int $false = 0;
	private static int $inSanskrit=$false;
	private static String $noLit = "off";
	private static String $noParen = "off";
//	private static String $filter="";
	private static int $inlex = $false;
	private static int $invlex = $false;
	private static int $inParen = 0;
	private static int $inBracket = 0;
	private static int $msc = $false; // when a semicolon should break the record
	private static int $inas1 = $false; //in <as1><s>x</s></as1>
	private static int $inkey2;
	private static int $inls = $false;
        public static int $hashom = $false;
        public static String key2map="";
        public static String $key1="";
        public static String $hom1="";
        public static String dbName;
        public static Exception dbErr = null;
        public static String dataDir = "";
//	private static int $lsrow;
//	private static int $lsparentEl;
//	private static int $lsExpandCode;
//	private static int $lsExpandFlag;
//	private static int $dbg=$false;
        
        public static String Whitney_links(String $key) {
            try {
            //Register the JDBC driver for MySQL.
              Class.forName("org.sqlite.JDBC");
              
              String url =
                    "jdbc:sqlite:"+dataDir+"sqlite/whitmwtab.sqlite";
              conn[1] = DriverManager.getConnection(url);
              stat[1] = conn[1].createStatement();
            }
            catch (Exception e) {
                return "Error at 80";
                   
            }
            String $ans = "";
            String query = "select * from whitmwtab where key = '"+$key+"' order by data;";
            ArrayList<MWData> dataArray = new ArrayList<MWData>();
            int n = 0;
            try {
                ResultSet rs = stat[1].executeQuery(query);
                while (rs.next()) {
                    n++;
                    String kH = rs.getString("key");
                    String lH = rs.getString("lnum");
                    String dH = rs.getString("data");
                    MWData mdH = new MWData(kH,lH,dH);
                    dataArray.add(mdH);
                 }
                rs.close();

                } catch (Exception e) {
                    String out = "Database Error: " + e + " : " + query;
                        if (dbErr != null) {
                          out += "<p>dbErr = " + dbErr + "</p>";
                        }
                     return out;
                }
            String $dataprev = "";  // for removing multiple references
            ListIterator<MWData> it = dataArray.listIterator(); 
            loopO:while (it.hasNext()) {  
		 MWData lineD = it.next(); 
                 String $data1 = lineD.data;
                 String $key1 = lineD.key;
                 String $lnum1 = lineD.lnum;
                if (!($key1.equals($key))) {continue loopO;}
                if ($data1.equals($dataprev)) {continue loopO;}
                $dataprev = $data1;
                Pattern pattern = Pattern.compile("^([^ ]+) +([0-9]+)$");
                Matcher m = pattern.matcher($data1);
                if(m.find()){
                    String $whitkey = m.group(1);
                    String $whitpage = m.group(2);
                    String $href = "WRScan?page="+$whitpage;
                    String $elt = "<a href='"+$href+"' target='_Whitney'>"+$whitkey+"</a>";
                    if (!($ans.equals(""))) {$ans = $ans + ", ";}
                        $ans = $ans + $elt;
                }
                else{
                    continue loopO;
                }
     // data1 is of form x.y (section.root)
            }
            if (!($ans.equals(""))) {
                $ans = "<em>Whitney Roots links:</em> " + $ans;
            }
            return $ans;
                
        }
        //The program below to find if a word exists in the database
        public static boolean in_monier(String $key) {
            return false;
        }
        public static boolean into_monier(String $key) {
            $key=$key.replace("\\","").replace("/","").replace("^","");//.replace("-","");
            try {
            //Register the JDBC driver for MySQL.
              Class.forName("org.sqlite.JDBC");
              String url =
                    "jdbc:sqlite:"+dataDir+"sqlite/mwkeys.sqlite";
              conn[2] = DriverManager.getConnection(url);
              stat[2] = conn[2].createStatement();
            }
            catch (Exception e) {
                return false;
            }
            String query = "select * from mwkeys where key = '"+$key+"' order by lnum;";
            try {
                ResultSet rs = stat[2].executeQuery(query);
                if (rs.next()) {
                    rs.close();return true;
                 }
                rs.close();

                } catch (Exception e) {
                     return false;
                }
            return false;
        }
        public static String Westergaard_links(String $key) {
            try {
            //Register the JDBC driver for MySQL.
              Class.forName("org.sqlite.JDBC");
              String url =
                    "jdbc:sqlite:"+dataDir+"sqlite/westmwtab.sqlite";
              conn[0] = DriverManager.getConnection(url);
              stat[0] = conn[0].createStatement();
            }
            catch (Exception e) {
                return "Error at 80";
                   
            }
  // Not available on this system
            String $ans = "";
//    $href0="http://www.sanskrit-lexicon.uni-koeln.de/scans/MWScan/Westergaard/disp/index.php";
//    $href0="http://www.sanskrit-lexicon.uni-koeln.de/scans/MWScan/Westergaard/disp/index.php";
            String $href0="WestScan";
            String query = "select * from westmwtab where key = '"+$key+"' order by data;";
            ArrayList<MWData> dataArray = new ArrayList<MWData>();
            int n = 0;
            try {
                ResultSet rs = stat[0].executeQuery(query);
                while (rs.next()) {
                    n++;
                    String kH = rs.getString("key");
                    String lH = rs.getString("lnum");
                    String dH = rs.getString("data");
                    MWData mdH = new MWData(kH,lH,dH);
                    dataArray.add(mdH);
                 }
                rs.close();

                } catch (Exception e) {
                    String out = "Database Error: " + e + " : " + query;
                        if (dbErr != null) {
                          out += "<p>dbErr = " + dbErr + "</p>";
                        }
                     return out;}
            String $dataprev = "";  // for removing multiple references
            ListIterator<MWData> it = dataArray.listIterator(); 
            loopO:while (it.hasNext()) {  
		 MWData lineD = it.next(); 
                 String $data1 = lineD.data;
                 String $key1 = lineD.key;
                 String $lnum1 = lineD.lnum;
                if (!($key1.equals($key))) {continue loopO;}
                if ($data1.equals($dataprev)) {continue loopO;}
                $dataprev = $data1;
                Pattern pattern = Pattern.compile("^([0-9]+)");
                Matcher m = pattern.matcher($data1);
                if(m.find()){
                    String $section = m.group(1);
                    String $href = $href0+"?section="+$section;
                    String $elt = "<a href='"+$href+"' target='_Westergaard'>"+$data1+"</a>";
                    if (!($ans.equals(""))) {$ans = $ans + ", ";}
                        $ans = $ans + $elt;
                }
                else{
                    continue loopO;
                }
     // data1 is of form x.y (section.root)
            }
    if (!($ans.equals(""))) {
	$ans = "<em>Westergaard Dhatupatha links:</em> " + $ans;
    }
    return $ans;
}
        public static String displayGreek(String $lnum,String $greekNum) throws IOException {
            String $ans=$greekNum;
            BufferedReader br = new BufferedReader(new FileReader(dataDir+"sqlite/mwgreek_init.txt"));
            String s="";int n=0;
            loop:while((s=br.readLine())!=null){
                n++;
                String tmp[]=s.trim().split("\\s+");
                if(tmp[0].trim().equals($lnum)){
                    $ans=tmp[1].trim();break loop;
                }
            }
            br.close();
            if(!($ans.equals(""))){
                String tmp1[]=$ans.split("<gk>");
                int $greekN = Integer.parseInt($greekNum)-1;
                if($greekN>tmp1.length){
                    $greekN=tmp1.length-1;
                }
                String tmp[]=tmp1[$greekN].split("<e>");
                //String $hrefperseus="http://www.perseus.tufts.edu/hopper/morph?la=greek&l=" + tmp[1];
                $ans = "<a target='perseus' href='http://www.perseus.tufts.edu/hopper/morph?la=greekl='><span class='greek'>"+tmp[2]+"</span></a>";
                //TODO : doesn't work, needs to invertigate
            }
            return $ans;
        }
        
        public static String getLSdata(String $lskey){
            String $ans=$lskey;
            String  $file = "mwauth_deva.html"; //TODO generalize
            String $lskeyLink=$lskey.replaceAll("[.]","_");
            $ans = "{a href='javascript:winls(\""+$file+"\",\"record_"+$lskeyLink+"\")'} "+$lskey+" {/a}";
            return $ans;
            
        }
        
        public static String getABdata(String $data) throws IOException {
            String $ans="";
            BufferedReader br = new BufferedReader(new FileReader(dataDir+"sqlite/mwab_init.txt"));
            String s="";int n=0;
            loop:while((s=br.readLine())!=null){
                n++;
                String tmp[]=s.trim().split("<id>");
                if(tmp[0].trim().equals($data)){
                    $ans=tmp[1];break loop;
                }
            }
            br.close();
            if(!($ans.equals(""))){
                Pattern p = Pattern.compile("<disp>(.*?)</disp>");
                Matcher m = p.matcher($ans);
                if(m.find()){
                    $ans = m.group(1);
                    $ans = preg_replace("<s>","<SA>",$ans);
                    $ans = preg_replace("</s>","</SA>",$ans);
                }
            }
            else{
                $ans=n+" $data";
            }
		return $ans;
	}
	public static String monierdisp(String keyin, ArrayList<String> dataArray,
			String inputType, String outputType,String dataDirectory) {
            dataDir=dataDirectory;
//		String ans="";
	//   Rarely, two vowels occur consecutively (e.g. afRin).
	//   These don't print properly in devanagari.
	 String $key = keyin;
	 $key = preg_replace("([aAiIuIfFxXeEoO])([aAiIuIfFxXeEoO])","$1 $2",$key); 
	 String $table = "<h1>&nbsp;<SA>" + $key + "</SA></h1>\n";
         String $Westlinks = Westergaard_links($key);
         String $Whitlinks = Whitney_links($key);
         $table += $Westlinks;
            if (!($Westlinks.equals(""))) {$table += "<br/>";}
        $table += $Whitlinks;
	 MWDisp parser = new MWDisp();
	 if(dataArray.isEmpty()) {
		 $table += "";//<p>This word is not in dictionary!";
	 }
	 $table += "<table class='display'>\n";
	 ListIterator<String> it = dataArray.listIterator();   
//		int n=0;
	 while (it.hasNext()) {  
		 String line = it.next(); 
		 line = line.trim();
                 //if (!(preg_match("^<H[1-4][BC]>",line))){
                  $hom1=get_hom(line);
                
                 boolean to_print_row1=true;
                 if (preg_match("^<H[1-4][BC]a>",line)){
                     to_print_row1=false;
                 }
                 
		 line = line_adjust(line);
//		    ans += "next line = " + line + "\n\n";
//		    n++;
		 $row = "";
		 $row1 = "";
		 if (preg_match("<msc/>",line)) {
			 $msc = $true;
			 $row="<p>";
		 } else {
			 $msc = $false;
		 }
		 $inSanskrit=$false;
		 $inlex = $false;
		 $invlex = $false;
		 $inParen = 0;
		 $inBracket = 0;
		 $inkey2 = $false;
                 key2map="";
                 $key1=$key;
                 
                 if($hom1.length()>0){$hashom=$true;}
		 parser.parseDocument(line);
		 if ($row1.equals("")) {
			 $row1 = "<font size='-1'>&para;</font>";
		 }
                 if(!to_print_row1){
                     $row1="";
                 }
		 $table += "<tr><td class='display' valign='top'><b>" + $row1+ "</b></td>\n";
		 if ($msc == $true){
			 $row += "</p>";
		 }
		 $table += "<td class='display' valign='top'>" + $row + "</td></tr>\n";
	 }  
//		ans = n + "data lines";
	 $table += "</table>\n";
//		$table = preg_replace("<SA>","",$table);
//		$table = preg_replace("</SA>","",$table);
	 String $head = "<head>" + "</head>";
	 String $body = "<body>" + $table + "</body>";
	 String $html = "<html>"+$head + $body + "</html>";
	 String html1 = Transcoder.processElements($html, inputType, outputType, "SA");//Jim wrote that
	 return html1;
}
        
        
        
        public static String listdisp(String keyin, ArrayList<String> dataArray,
			String inputType, String outputType, int $nmatches1) {
	 String $key = keyin;
	 $key = preg_replace("([aAiIuIfFxXeEoO])([aAiIuIfFxXeEoO])","$1 $2",$key); 
	 String $table = "";
	 if(dataArray.isEmpty()) {
		 $table += "<p>This word is not in dictionary!";
	 }
	 $table += "<table class='display'>\n";
	 ListIterator<String> it = dataArray.listIterator();  
         int n=0;
         String $color="black";
	 while (it.hasNext()) {  
		 String line = it.next(); 
		 line = line.trim();
		 line = line_adjust(line);
                 if(n==0){
                      $table += "&nbsp;&nbsp;<a  onclick='getWordlistUp_keyboard(\"<SA>"+line+"</SA>\");'><span style='color:black'>&#x25B2;</span></a><br/>\n";
                    }
                 if(n==$nmatches1){
                     $color="blue";
                 }
                 else{
                     $color="black";
                 }
                 $table += //"<h1>&nbsp;<SA>" + line + "</SA></h1>\n";
		 "<a  onclick='getWordAlt_keyboard(\"<SA>"+line+"</SA>\");'><font color=\""+$color+"\"><span class=\"devnag\"><SA>"+line+"</SA></span></font></a><br/>\n";
                 n++;
                 if(n==dataArray.size()){
                      $table += "&nbsp;&nbsp;<a  onclick='getWordlistDown_keyboard(\"<SA>"+line+"</SA>\");'><span style='color:black'>&#x25BC;</span></a><br/>\n";
                 }
         }  
//		ans = n + "data lines";
	 $table += "</table>\n";
//		$table = preg_replace("<SA>","",$table);
//		$table = preg_replace("</SA>","",$table);
	 String $head = "<head>" + "</head>";
	 String $body = "<body>" + $table + "</body>";
	 String $html = "<html>"+$head + $body + "</html>";
	 String html1 = Transcoder.processElements($html, inputType, outputType, "SA");
	 return html1;
}

        public static String listdispHier(String keyin, ArrayList<MWData> dataArray,
			String inputType, String outputType, int $nmatches1) {
            String ans = "reached here";
            String $key = keyin;
            $key = preg_replace("([aAiIuIfFxXeEoO])([aAiIuIfFxXeEoO])","$1 $2",$key);
            String $table = "";
            if(dataArray.isEmpty()) {
		 $table += "<p>This word is not in dictionary!";
	 }
	 $table += "<table class='display'>\n";
         ListIterator<MWData> it = dataArray.listIterator();  
		int n=0;
               String $spc="&nbsp;&nbsp;";
                String $color="black";
                
                String $spcchar=".";
                while(it.hasNext()){
                    if(n==$nmatches1){
                     $color="blue";
                 }
                 else{
                     $color="black";
                 }
                    MWData line = it.next(); 
                 String kH=line.key;
                 String lH=line.lnum;
                 String dH=line.data;
                 if (preg_match("^<H([2])",dH)) {
                    $spc=$spcchar;
                 }
                 else if (preg_match("^<H([3])",dH)) {
                    $spc=$spcchar+$spcchar;
                 }
                 else if (preg_match("^<H([4])",dH)) {
                    $spc=$spcchar+$spcchar+$spcchar;
                 }
                 else{
                     $spc="";
                 }
                 boolean isParen=false;
                 if (preg_match("^<H[1-4][BC]>",dH)){
                     isParen=true;
                 }
                 String $hom2=get_hom(dH);
                 //if(!isParen){
                 if (!($hom2.equals(""))) {
                        $hom2="<sup>"+mod_hom($hom2)+"</sup>";//" <span style=\"color:red; font-size:smaller\">"+$hom2+"</span>";
                    }
                 //}
                 //else{
                   //  $hom2="";
                 //}
                 if(n==0){
                              $table += "&nbsp;&nbsp;<a  onclick='getWordlistUp_keyboard(\""+kH+"\");'><span style='color:black'>&#x25B2;</span></a><br/>\n";
                 }
                 if(isParen){
                    $table += //"<h1>&nbsp;<SA>" + line + "</SA></h1>\n";
		 $spc+"<a  onclick='getWordAlt_keyboard(\""+kH+"\");'><font color=\""+$color+"\"><span class=\"devnag\"><SA>("+kH+")</SA>"+$hom2+"</span></font></a><br/>\n";
                 }
                 else{
                    $table += //"<h1>&nbsp;<SA>" + line + "</SA></h1>\n";
		 $spc+"<a  onclick='getWordAlt_keyboard(\""+kH+"\");'><font color=\""+$color+"\"><span class=\"devnag\"><SA>"+kH+"</SA>"+$hom2+"</span></font></a><br/>\n";
                 }
                 n++;
                 if(n==dataArray.size()){
                       $table += "&nbsp;&nbsp;<a  onclick='getWordlistDown_keyboard(\""+kH+"\");'><span style='color:black'>&#x25BC;</span></a><br/>\n";
                 }
                }
//		ans = n + "data lines";
	 $table += "</table>\n";
//		$table = preg_replace("<SA>","",$table);
//		$table = preg_replace("</SA>","",$table);
	 String $head = "<head>" + "</head>";
	 String $body = "<body>" + $table + "</body>";
	 String $html = "<html>"+$head + $body + "</html>";
         String html1 = Transcoder.processElements($html, inputType, outputType, "SA");
	 return html1;
            
        }
        
	


	//Event Handlers
	public void startElement(String uri, String localName, String qName, Attributes attributes) throws SAXException {
		//reset
//		tempVal = "";
//		if(qName.equalsIgnoreCase("Employee")) {
//			//create a new instance of employee
//			tempEmp = new Employee();
//			tempEmp.setType(attributes.getValue("type"));
//		}
		String $el = qName;
		if (preg_match("^p[1-9]?$",$el)) {
			 $inParen = $inParen + 1;
			 if ($noParen.equals("off")){
			  $row += "(";
			 }
			} else if (preg_match("^b[1-9]?$",$el)) {
			 $inBracket = $inBracket + 1;
			 if ($noParen.equals("off")){
			  $row += "[";
			 }
			} else if (($noParen.equals("off")) ||
			  (($noParen.equals("on"))&&(0 == $inParen)&&(0 == $inBracket))) {
			  if ($el.equals("q")) {
			   $row += "'";
			  } else if (preg_match("^H.+$",$el)) {
				  // in this version, don't show H
			   //$row1 += "(" + $el + ")";//Removed H information from here, as available in hierarchical list
			  } else if ($el.equals("root")) {
			   if ($inkey2 == $false){
			   $row += " &#x221a;"; // &reg;
			   } else {
				// in this version, don't show
			   $row1 += " &#x221a;";  // &reg;
			   }
			  } else if (($el.equals("srs")) || ($el.equals("srs1"))){
			   if ($inkey2 == $false){
			   $row += "<font color=\"red\">*</font>";
			   } else {
				// in this version, don't show
			   $row1 += "<font color=\"red\">*</font>";
			   }
			  } else if (($el.equals("sr1"))|| ($el.equals("sr"))){
			   if ($inkey2 == $false){
			   $row += "<font color=\"red\">&deg;</font>";
			   } else {
				// in this version, don't show
			   $row1 += "<font color=\"red\">&deg;</font>";
			   }
			  } else if ($el.equals("fs")) {
			   $row += "<font color=\"red\">&divide;</font>";
			  } else if ($el.equals("s"))  {
                              if(attributes.getValue("corRep")!=null){
                                  key2map = attributes.getValue("corRep");
                                  //$row+=" found "+key2map;
                              }
                              else{
                                  key2map="";
                              }
                              //else{
                             //       $row+=" not found ";
                             // }
                              
			   $inSanskrit = $true;
			  } else if ($el.equals("key2")){
			   $inkey2 = $true;
			  } else if ($el.equals("key1")){
			  } else if ($el.equals("ls")){
			   $inls=$true;
			  } else if ($el.equals("to")){
			  } else if ($el.equals("etym")){
			  } else if ($el.equals("hhom")){
			  } else if ($el.equals("hom")){
			  } else if ($el.equals("ns")){
			  } else if ($el.equals("pc")){
			  } else if ($el.equals("lex")){
			   $inlex=$true;
			  }else if ($el.equals("vlex")){
			   $invlex=$true;
			  }  else if ($el.equals("vlex")){
			  } else if (preg_match("^p[1-9]?$",$el)) {
			  } else if (preg_match("^c[1-9]?$",$el)) {
			  } else if (preg_match("^b[1-9]?$",$el)) {
			  } else if ($el.equals("entry")){
			  } else if ($el.equals("h")){
			  } else if ($el.equals("body")){
			  } else if ($el.equals("tail")){
			  } else if ($el.equals("mul")){
			  } else if ($el.equals("mat")){
			  } else if ($el.equals("vhead")){
			  } else if ($el.equals("bot")){
			  } else if ($el.equals("bio")){
			  } else if ($el.equals("amp")){
			   $row += " &amp; ";
			  } else if (($el.equals("etc")) || ($el.equals("etc1")) || ($el.equals("etcetc"))){
			   $row += "<font size=\"-1\"> &amp;c </font>";
			  } else if ($el.equals("see")){
			   $row += "<font color=\"purple\">&raquo;</font>";
			  } else if ($el.equals("eq")){
			   $row += "<font color=\"purple\">=</font>";
			  } else if ($el.equals("L")){
			  } else if ($el.equals("ab")){
			  } else if ($el.equals("as1")){
			   $inas1 = $true;
			  } else if ($el.equals("as0")){
			  } else if ($el.equals("asp0")){
			  } else if ($el.equals("Qas0")){
			  } else if ($el.equals("Qasp0")){
			  } else if ($el.equals("Qasl0")){
			  } else if ($el.equals("cf")){
			   $row += "<font color=\"purple\">&raquo;</font>";
			  } else if ($el.equals("msc")){
//			   $row += "<font color=\"purple\">&nbsp;;&nbsp;</font></p><p>";
			   $row += "<strong>&nbsp;;&nbsp;</strong></p><p>";
			  } else if ($el.equals("quote")) {
			   $row += "&quot;";
			  } else {
			  }
			}
			  $parentEl = $el;
	}
	

	public void characters(char[] ch, int start, int length) throws SAXException {
		String $data= new String(ch,start,length);		
		  if (($noParen.equals("on")) && ((0 < $inParen)||(0 < $inBracket))){
			   //do nothing
			  }else if ($inSanskrit == $true) {
			   // print accents as '/'.
			//   if ($filter == "SktDevaUnicode"){
			//   $data =preg_replace("//</SA>/<SA>/g;
			//   }
			   if ($inas1 == $true){
                               if(key2map.length()>0){
                                String link="<a  onclick='show_both(\""+key2map+"\",\"\");'>";
                                $row += "<font color=\"teal\">" + link +"<span class=\"devnag\"><SA>" + $data + "</SA></span></a></font>";
                               }
                               else{
                                   $row += "<font color=\"teal\"><span class=\"devnag\"><SA>" + $data + "</SA></span></font>";
                               }
			   } else if ($inls == $true) {
                               
                               if(key2map.length()>0){
                                   String link="<a  onclick='show_both(\""+key2map+"\",\"\");'>";
                                   $row += "<font color=\"gray\" size=\"-1\">" + link + "<span class=\"devnag\"><SA>" + $data + "</SA></span></a></font>";
                               }
                               else{
                                   $row += "<font color=\"gray\" size=\"-1\"><span class=\"devnag\"><SA>" + $data + "</SA></span></font>";
                               }
                           }else {
                               if(key2map.length()>0){
                                String link="<a  onclick='show_both(\""+key2map+"\",\"\");'>";
                                $row += "<font color=\"blue\">" + link +"<span class=\"devnag\"><SA>" + $data + "</SA></span></a></font>";
                               }
                               else{
                                   $row += "<font color=\"blue\"><span class=\"devnag\"><SA>" + $data + "</SA></span></font>";
                               }
			   }
			  }else if ($inkey2 == $true) {
			   if ($parentEl.equals("hom")) {
			   //$row1 += "<font color=\"blue\">&nbsp;" + $data + "</font>";   /PG removed
			   } else {
				   // don't show key2 in this version
                               if($hashom==$true){
                                   String link = "<a  onclick='getWord_hom(\"<SA>"+$key1+"</SA>\",\""+$hom1+"\");'>";
                                    $row1 += "&nbsp;<font color=\"blue\">"+link+"<span class=\"devnag\"><SA>" + $data + "</SA></span></a></font>";
                               }
                               else{
                                   $row1 += "&nbsp;<font color=\"blue\"><span class=\"devnag\"><SA>" + $data + "</SA></span></font>";
                               }
			   }
			  } else if (preg_match("Qas[pl]?0",$parentEl)) {
			  } else if (preg_match("as[pl]?0",$parentEl)) {
			  } else if ($parentEl.equals("key1")){ // nothing printed
			  } else if ($inls == $true){
			   if ($noLit == "off"){
			   if ($parentEl.equals("ab")) {
                               String $tran="";
			    try{
                                $tran = getABdata($data);
                            }catch(Exception e) {}
			    if ($tran.equals("")) {
			    $row += "<font color=\"gray\" size=\"-1\">" + $data + "</font>";
			    }else {
			    $row += "<span title=\"$tran\" class=\"ab\">";
			    $row += "<font color='004400' size='-1'>" + ($data) + "</font>";
			    $row += "</span>";
			    }
			   }else {
                               Pattern p = Pattern.compile("^([A-Z][A-Za-z0-9]*[.])+");
                               Matcher m=p.matcher($data);
                               if(m.find()){
                                    String $data1 = getLSdata(m.group(1));
                                    $data1 =preg_replace("[{]","<",$data1);
                                    $data1 =preg_replace("[}]",">",$data1);
                                    $row += "<font color='//004400' size=\"-1\">" + $data.replace(m.group(1),$data1) + "</font>";
                                }
                               else{
                                   String $data1 = $data;
                                    $data1 =preg_replace("[{]","<",$data1);
                                    $data1 =preg_replace("[}]",">",$data1);
                                    $row += "<font color='//004400' size=\"-1\">" + $data1 + "</font>";
                               }
			   }
                           }
			  } else if ($parentEl.equals("etym")){
			   $row += "<font color=\"brown\">" + $data + "</font>";
			  } else if ($parentEl.equals("hhom")) {
				// in this version, don't show
			   $row1 += "<font color=\"blue\"><sup>" + mod_hom($data) + "</sup></font>";
			  } else if ($parentEl.equals("hom")) {
			   $row += "<font color=\"red\">&nbsp;" + $data + "</font>";
			  } else if ($parentEl.equals("pc")) {
			   // in this version, don't show p
				   String $hrefdata = getHrefPage($data);
				   if($row1.equals("")){
                                    $row1 += "<font size=\"-1\"> p. " + $hrefdata + "</font>";
                                  }
                                  else{
                                    $row1 += "<br/><font size=\"-1\"> p. " + $hrefdata + "</font>";  
                                  }
			  } else if ($parentEl.equals("pcol")) {
				  String $hrefdata = getHrefPage($data);
                                  if($row1.equals("")){
			   $row1 += "<font size=\"-1\"> p. " + $hrefdata + "</font>";
                                  }
                                  else{
                                    $row1 += "<br/><font size=\"-1\"> p. " + $hrefdata + "</font>";  
                                  }
			  } else if ($parentEl.equals("L")) {
				// in this version, don't show L  
			   //$row1 += "<font size=\"-1\"> [L=" + $data + "]</font>";
			  } else if (($inlex == $true)|| ($invlex == $true)) {
				  String $tran="";
			    try{
                                $tran = getABdata($data);
                            }catch(Exception e) {}
			   if ($tran.equals("")) {
			   $row += "<em>" + $data + "</em>";
			   }else {
			   $row += "<em title=\"" + $tran + "\">";
			   $row += "<font color='//004400'>";   
			   $row += $data;
			   $row += "</font>";
			   $row += "</em>";
			   }
			  } else if ($parentEl.equals("bot")){
			   $row += "<font color=\"brown\" size=\"-1\">" + $data + "</font>";
			  } else if ($parentEl.equals("bio")){
			   $row += "<font color=\"brown\" size=\"-1\">" + $data + "</font>";
			  } else if ($parentEl.equals("ab")) {
                              String $tran="";
			    try{
                                $tran = getABdata($data);
                            }catch(Exception e) {}
			   if ($tran.equals("")) {
			   $row += "<font size='-1'>" + $data + "</font>";
			   }else {
			   $row += "<span  title=\"" + $tran + "\">";
			   $row += "<font size='-1' color='//006600'>";
			   $row += $data;
			   $row += "</font>";
			   $row += "</span>";
			   }
			  } else if ($parentEl.equals("quote")) {
			   $row += $data;
			  } else if (0 < $inParen){
			   if ($noParen.equals("off")){$row += $data;}
			  } else if (0 < $inBracket){
			   if ($noParen.equals("off")){$row += $data;}
			  } else if (preg_match("c[1-9]?",$parentEl)){
			 $row += $data;
			  } else if ($parentEl.equals("")) {
			   $row += $data;
			  } else if (($parentEl.equals("h"))||($parentEl.equals("body")) ||($parentEl.equals("tail"))) {
			   $row += $data;
			  } else if ($parentEl.equals("ns")) {
			   $row += "<font color=\"orange\">{" + $data + "};</font>";
			  } else {
			   $row += $data;
			  }

	}
	
	private String getHrefPage1(String $lnum) throws IOException{
            BufferedReader br = new BufferedReader(new FileReader(dataDir+"sqlite/mwfiles.txt"));
            String s="";
            String $regexp = "mw0*"+$lnum+"-";
            Pattern p =Pattern.compile($regexp);
            boolean found=false;
            String $ans=$lnum;
            loop:while((s=br.readLine())!=null){
                String $line=s.trim();
                Matcher m = p.matcher($line);
                if(m.find()){
                    found=true;
                    $ans=$line;
                    break loop;
                }
            }
            br.close();
            if(found){
                String $href0 = "MWScan/MWScanjpg";
                $ans = $href0+"/"+$ans+".jpg";
            }
            return $ans;
        }

	private String getHrefPage(String $data) {
		 // this is incomplete, compared to online version.
		 // no access to underlying scanned images available.
		String $ans="";
		String[] $lnums = $data.split(",");
		for (int i=0;i<$lnums.length;i++) {
			String $lnum = $lnums[i];
			$lnum = preg_replace("Page","",$lnum);
		  if ($ans.equals("")) {
                        String $hrefcur = "";
                        try{$hrefcur=getHrefPage1($lnum);}
                        catch(Exception e){}
                        String $args="file="+$hrefcur;
                        $ans = "<a href='serveimgMW?"+$args+"' target='_Blank'>"+$lnum+"</a>";
                        }else {
                         $ans += "," + $lnum;
                        }
		 }
		 return $ans;
		}

	public void endElement(String uri, String localName, String qName) throws SAXException {

//		if(qName.equalsIgnoreCase("Employee")) {
//			//add it to the list
//			myEmpls.add(tempEmp);
//			
//		}else if (qName.equalsIgnoreCase("Name")) {
//			tempEmp.setName(tempVal);
//		}else if (qName.equalsIgnoreCase("Id")) {
//			tempEmp.setId(Integer.parseInt(tempVal));
//		}else if (qName.equalsIgnoreCase("Age")) {
//			tempEmp.setAge(Integer.parseInt(tempVal));
//		}
		String $el = qName;
		  if (preg_match("^p[1-9]?$",$el)) {
			   if ($noParen.equals("off")) {
			   $row += ")";
			   }
			   $inParen = $inParen - 1;
			  } else if (preg_match("^b[1-9]?$",$el)){
			   if ($noParen.equals("off")) {
			   $row += "]";
			   }
			   $inBracket = $inBracket - 1;
			  }
			  $parentEl = "";
			  if ($el.equals("s")) {
			   $inSanskrit = $false;
			  } else if ($el.equals("lex")) {
			   $inlex = $false;
			  } else if ($el.equals("ls")) {
			   $inls = $false;
			  } else if ($el.equals("vlex")) {
			   $invlex = $false;
			  } else if ($el.equals("key2")) {
			   $inkey2 = $false;
			  } else if ($el.equals("as1")){
			   $inas1 = $false;
			  } else if ($el.equals("as0")){
			  } else if ($el.equals("asp0")){
			  } else if ($el.equals("Qas0")){
			  } else if ($el.equals("Qasp0")){
			  } else if ($el.equals("Qasl0")){
			  }else if ($el.equals("quote")) {
			   $row += "&quot;";
			  }
		
	}
        
	

	private static String line_adjust(String $line) {
		 $line = preg_replace("<mscverb/>","",$line);
		 $line = preg_replace("<hc1>.*</hc1>","",$line);
		 $line = preg_replace("<hc3>.*</hc3>","",$line);
		 $line = preg_replace("<MW>.*</MW>","",$line);
//		 $line = preg_replace("<pc>Page(.*)</pc>","<pc>$1</pc>",$line);
		 // anything between <h> elt. and <body> element is 'extra'
		 $line = preg_replace("</h>.+<body>","</h><body>",$line);
		 Pattern pattern = Pattern.compile("<pc>(.*)</pc>");
		 Matcher matcher = pattern.matcher($line);
		 if (matcher.find()){
			 String $t = matcher.group();
			 //if($pagecol.equals($t)) {
			//	 $line = preg_replace("<pc>(.*)</pc>","",$line);
			// }else {
			//	 $pagecol = $t;
			// }
		 }
//		 if (preg_match("<pc>(.*)</pc>",$matches)){
//		  if($pagecol == $matches[1]){
//		   $line = preg_replace("<pc>(.*)</pc>","",$line);
//		  }else {$pagecol = $matches[1];}
//		 }
                 Pattern p = Pattern.compile("<L.*?>(.*?)</L>");
                 Matcher m = p.matcher($line);
                 String lnum = "";
                 if(m.find()){
                     lnum=m.group(1);
                 }
                 boolean isGreek=true;
                 while(isGreek){
                    p = Pattern.compile("<gk>(.*?)</gk>");
                    m = p.matcher($line);
                    String greeked = "?";
                    if(m.find()){
                        try{
                            greeked = displayGreek(lnum,m.group(1));
                        }
                        catch(Exception e){}
                        $line = preg_replace("<gk>"+m.group(1)+"</gk>",greeked,$line);
                    }
                    else{
                        isGreek=false;
                        $line = preg_replace("<gk>(.*?)</gk>",greeked,$line);
                    }
                 }
		 $line = preg_replace("_"," ",$line);
		 $line = preg_replace("~"," ",$line);
		 if (preg_match("<H.A>",$line)) {
//	      $line = preg_replace("<body>","<body> CHKh1a ",$line);
		  $line = preg_replace("</?H.A>","",$line);
//		  $line = preg_replace("<H.A>","",$line);
//		  $line = preg_replace("</H.A>","",$line);
		  $line = preg_replace("<h>.*</h>","",$line);
		  $line = preg_replace("<AE>.*</AE>","",$line);
		  $line = preg_replace("<lex *type=\"inh\">.*?</lex>","",$line);
		  $line = "<entry>" + $line + "</entry>";
		 }
                 else if (preg_match("<H[1-4][BC]a>",$line)) {
//	      $line = preg_replace("<body>","<body> CHKh1a ",$line);
		  $line = preg_replace("</?H[1-4][BC]a>","",$line);
//		  $line = preg_replace("<H.A>","",$line);
//		  $line = preg_replace("</H.A>","",$line);
		  $line = preg_replace("<h>.*</h>","",$line);
		  $line = preg_replace("<AE>.*</AE>","",$line);
		  $line = preg_replace("<lex *type=\"inh\">.*?</lex>","",$line);
		  $line = "<entry>" + $line + "</entry>";
		 }
                 else {
//			 String x = $line.substring(0, 5);
//			   x = preg_replace("<","X",x);
//			   x = preg_replace(">","Y",x);
//			 $line = preg_replace("<body>","<body> (CHKh1b " + x + ")",$line);
		  $line = preg_replace("(</key2>.*)<hom>(.)</hom></h>","$1<hhom>$2</hhom></h>",$line);
		 }
		 // Abbreviated English (normally) appears as "_<abE>xxx</abE>xxxyyy"
		 // change such things to "xxxyyy"
		 // There are 15022 of these. Before them we have
		 // [-_. ] followed by [a-zA-Z] then 0 or more of [a-zA-Z0-9].
		 $line = preg_replace("<abE>.*?</abE>","",$line);
		 // new code, as of 4-12-2008
		 $line = preg_replace("<as0[^<]*</as0>","",$line);
		 $line = preg_replace("<asp0[^<]*</asp0>","",$line);
		 // 20080104  omit display of elements pertaining to parenthetical head words
		 $line = preg_replace("<ORSL>.*?</ORSL>","",$line);
		 $line = preg_replace("<dL>.*?</dL>","",$line);
		 $line = preg_replace("</?phw>","",$line);
		 $line = preg_replace("<shortlong/>","",$line);
		 // 20080415. Make some things abbreviations that are not
		 // explicitly coded as such.
		 $line = preg_replace("<qv/>","<ab>q.v.</ab>",$line);
		 $line = preg_replace("([^a-zA-Z0-9])N[.]","$1<ab>N.</ab>",$line);
		 $line = preg_replace("<cf/>","<ab>cf.</ab>",$line);
		 $line = preg_replace("<pcol>p[.] ([0-9]+) , col[.] ([0-9]+)</pcol>",
		  "<pcol>$1,$2</pcol>",$line);
		 return $line;
	}

	private static boolean preg_match(String string, String $line) {
		 Pattern pattern = Pattern.compile(string);
		 Matcher matcher = pattern.matcher($line);
		 return matcher.find();
	}

	private static String preg_replace(	String string, String string2,
			String $line) {
		return $line.replaceAll(string, string2);
	}
//	public static void main(String[] args) {
//		String $line = "<H1a>";
//	}
        
        public static String get_hom(String data){
            String $hom="";
            Pattern pattern = Pattern.compile("<hom>(.*?)</hom>.*?</h>");
            Matcher m = pattern.matcher(data);
            if(m.find()){
                $hom=m.group(1);
            }
          return $hom;
        }
        public static String mod_hom(String data){
            String $hom=data;
            boolean isEdited=false;
            loopi:for(int i=0;i<$hom.length();i++){
                if("12345678".indexOf($hom.charAt(i))==-1){
                       isEdited=true;
                       break loopi;
                }
            }
            if(isEdited){
                $hom="&lang;"+$hom+"&rang;";
            }
          return $hom;
        }
        public void close() {
            try {
                 for(int i=0;i<dbNum;i++){
                    conn[i].close();
                 }
            } catch (Exception e) {
                for(int i=0;i<dbNum;i++){
                    conn[i] = null;
                    stat[i] = null;
                }
            }
        }
        private void parseDocument(String line) {
		// sets the static row, row1 variables in Event handlers
		//get a factory
		SAXParserFactory spf = SAXParserFactory.newInstance();
		try {
		
			//get a new instance of parser
			SAXParser sp = spf.newSAXParser();
			
			//parse the string  and also register this class for call backs
//			sp.parse(line, this);
			InputStream is = new ByteArrayInputStream(line.getBytes());
			sp.parse(is,this);
			
		}catch(Exception se) {
			$row = "Error parsing line: " + se + "<br/> line = " + line + "<br/>";
			$row1 = "";
		}
	}
        
}

