/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.sanskritlibrary.lexicons.monier;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.sanskritlibrary.lexicons.Transcoder;

/**
 *
 * @author pgoyal
 */
public class serveimgWR  extends HttpServlet {
    
    @Override
    public void doGet(HttpServletRequest request, HttpServletResponse response)
          throws ServletException, IOException { 
        response.setContentType("text/html;charset=UTF-8");
        Transcoder.setRequest(request);
        PrintWriter out = response.getWriter();
        String $page="";String $section="";
        try {
            $page = request.getParameter("page");
            if($page!=null){
            //out.println("page here is "+$page);
            if ($page.equals("")) {$page="-9";} // title page
            Pattern pattern = Pattern.compile("^([0-9-]+)");
                Matcher m = pattern.matcher($page);
                if(m.find()){
                    $page = m.group(1);
                }
                else{$page="-9";}
                //out.println("page here is "+$page);
            String files[] = getfiles($page);
            String $filename=files[0];String $fileprev=files[1];String $filenext=files[2];
            //out.println("filename here is "+$filename);
            String $ans="";
            int $width = 978;
            int $height = 1450;
            String $widthpx = $width+"px";
            String $heightpx = $height+"px";
            $ans+= "<img src=\"SaveData?image="+$filename+"\" width=\""+$width+"\" height=\""+$height+"\" />";
            $ans+= "<div id='pagenav'>\n";
            $ans+=genDisplayFile("&lt;",$fileprev);
            $ans+=genDisplayFile("&gt;",$filenext);
            $ans+="</div>\n</body></html>\n";
            out.println($ans);
            }
            
            
        }catch (Exception e) {
            out.println(e);
          }

          finally {
            out.close();
          }
    
    
    }
    
    public String[] getfiles(String $pagein) throws IOException{
        int $page = Integer.parseInt($pagein);
        if ((-20 <= $page) && ($page <= -9)) {
           return key_from_page_preface(""+(-$page));
        }else if ((211 <= $page) && ($page <= 250)) {
            return key_from_page_index(""+$page);
        }
        
        String scanDir = getServletContext().getInitParameter("Scandir");
        BufferedReader br = new BufferedReader(new FileReader(scanDir+"WRScan/disp2/whitscans.txt"));
        String s="";
        String $fileprev="0";
        String $filenext="0";
        String $filename="0";
        boolean found=false;
        int n=0;
        loop:while((s=br.readLine())!=null){
            String $line = s.trim();
            Pattern p = Pattern.compile("^whit-([0-9]+)-(.*?)[.]jpg$");
            Matcher m = p.matcher($line);
            if(m.find()){
                n++;
                String $ps=m.group(1);
                int $p = Integer.parseInt($ps);
                if (($p+"").equals($page+"")){
                    found=true;
                    $filename=$line;
                    $line = br.readLine();
                    if($line!=null){
                        m = p.matcher($line);
                        if(m.find()){
                            String $ps1 = m.group(1);
                            int $p1 = Integer.parseInt($ps1);
                            $filenext=""+$p1;
                        }
                        else{
                            $filenext=""+$p;
                        }
                    }
                    break loop;
                } else {
                    $fileprev=""+$p;
                }
            }
            else{
                continue loop;
            }
            
            
        }
        br.close();
        String out[]=new String[3];
        
        if(!found){
            for(int i=0;i<3;i++){
                out[i]=n+"";
            }
        }
        else{
            String $href0="WRScan/WRScanjpg";
            $filename = $href0+"/"+$filename;
            out[0] = $filename;
            out[1] = $fileprev;
            out[2] = $filenext;
            
        }
        return out;
            
    }
    
    public String[] key_from_page_preface(String $pagein) {
        int $page = Integer.parseInt($pagein);
        String $prev="";String $next="";String $cur="";
    if (9 < $page) {
	$prev = ""+(-($page-1));
    }
    if ($page < 20) {
	$next = ""+(-($page+1));
    }
    $cur = "WRScan/WRScanjpg/whit-pref-"+padzero($pagein,2)+".jpg";
    String out[]={$cur,$prev,$next};
    return out;
    }
public String[] key_from_page_index(String $pagein) {
    int $page = Integer.parseInt($pagein);
        String $prev="";String $next="";String $cur="";
        if (211 < $page) {
             $prev = ""+($page-1);
        }
        if ($page < 250) {
             $next = ""+($page+1);
        }
  $cur = "WRScan/WRScanjpg/whit-indx-"+padzero($pagein,3)+".jpg";
   String out[]={$cur,$prev,$next};
    return out;
}

public String genDisplayFile(String $text,String $file) {
    String $href = $file;
    String $a = "<a class=\"nppage\" onclick=\"displaylink('" + $href +"');\"><span class='nppage1'>"+$text+"</span></a>";
    return $a+"\n";
}
public String padzero(String page,int numD){
    int len = page.length();
    if(len>=numD){
        return page;
    }
    else{
        int diff=numD-len;
        for(int i=0;i<diff;i++){
            page="0"+page;
        }
        return page;
    }
}
}
