package org.sanskritlibrary.lexicons.vacaspatya;

import java.io.*;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.ListIterator;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

//import javax.xml.parsers.ParserConfigurationException;
import javax.xml.parsers.SAXParser;
import javax.xml.parsers.SAXParserFactory;

import org.sanskritlibrary.lexicons.Transcoder;
import org.xml.sax.Attributes;
import org.xml.sax.SAXException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.xml.sax.helpers.DefaultHandler;

public class VPDisp extends DefaultHandler{
    
	private static String $parentEl;
	private static String $row;
	private static String $row1;
	private static String $pagecol = "";
	private static int $true = 1;
	private static int $false = 0;
	private static int $inSanskrit=$false;
	private static String $noLit = "off";
	private static String $noParen = "off";
//	private static String $filter="";
	private static int $inlex = $false;
	private static int $invlex = $false;
	private static int $inParen = 0;
	private static int $inBracket = 0;
	private static int $msc = $false; // when a semicolon should break the record
	private static int $inas1 = $false; //in <as1><s>x</s></as1>
	private static int $inkey2;
	private static int $inls = $false;
        public static int $hashom = $false;
        public static int $mainEnt=$false;
        public static String $key1="";
        public static String $hom1="";
        public static String dbName;
        public static Exception dbErr = null;
//	private static int $lsrow;
//	private static int $lsparentEl;
//	private static int $lsExpandCode;
//	private static int $lsExpandFlag;
//	private static int $dbg=$false;
        
        //The program below to find if a word exists in the database
        
        
        private void parseDocument(String line) {
		// sets the static row, row1 variables in Event handlers
		//get a factory
		SAXParserFactory spf = SAXParserFactory.newInstance();
		try {
		
			//get a new instance of parser
			SAXParser sp = spf.newSAXParser();
			
			//parse the string  and also register this class for call backs
//			sp.parse(line, this);
			InputStream is = new ByteArrayInputStream(line.getBytes());
			sp.parse(is,this);
			
		}catch(Exception se) {
			$row = "Error parsing line: " + se + "<br/> line = " + line + "<br/>";
			$row1 = "";
		}
	}
        public static String getHrefPage(String $page,String $col) {
		 // this is incomplete, compared to online version.
		 // no access to underlying scanned images available.
		String $ans="";
                String $disp="";
                String $param="";
                String $vol=$page.charAt(2)+"";
                $disp+="V. "+$vol;
                String $pNum=$page.substring($page.indexOf("_")+1);
                if($pNum.indexOf(".")!=-1){
                    $pNum=$pNum.substring(0,$pNum.indexOf("."));
                }
                $disp+=", P. "+Integer.parseInt($pNum)+", C. "+$col;
                
                $param=$page;
                
                String $args="file="+$param;
                $ans = "<a href='serveimgVP?"+$args+"' target='_Blank'>"+$disp+"</a>";
                       
		 return $ans;
		}
	public static String bsdisp(String keyin, ArrayList<String> dataArray,
			String inputType, String outputType) {
//		String ans="";
	//   Rarely, two vowels occur consecutively (e.g. afRin).
	//   These don't print properly in devanagari.
            //VPDisp parser = new VPDisp();
	 String $key = keyin;
         String hom="";
         if($key.indexOf("#")!=-1){
                     int ind=$key.indexOf("#");
                     String hom_here=$key.substring(ind+1);
                     $key=$key.substring(0,ind);
                     hom="<sup>"+hom_here+"</sup>";
                 }
         
         String $table = "<h1>&nbsp;<SA>" + $key + "</SA>"+hom+"</h1>\n";
         $table += "<table class='display'>\n";
         ListIterator<String> it = dataArray.listIterator(); 
         loopO:while (it.hasNext()) {  
		 String line = it.next();//.replace("<lb n=\'x\'/>","<br/>"); 
                 String page_here=get_page(line);
                 String col_here=get_col(line);
                 String page_ref = getHrefPage(page_here,col_here);
                 line=line.substring(0,line.indexOf("<page>"))+"<br/>";
                 line=line.replace("<vg>","<font color=\"Green\">  vigrahaH :-  </font>");
                 line=line.replace("<vkr>","<font color=\"Green\">  vyAkaraRam :-  </font>");
                 line=line.replace("<vg>","<font color=\"Green\">  vigrahaH :-  </font>");
                 line=line.replace("<vn>","<font color=\"Green\">  prasaNgAH :-  </font>");
                 line=line.replace("<sm>","<font color=\"Green\">  samAsa-vigrahaH :-  </font>");
                 line=line.replace("<akr>","<font color=\"Green\">  amarakozaH :-  </font>");
                 line=line.replace("%"+keyin+"%","<font color=\"Blue\"><b><span class = \"devnag\">"+keyin+"</span></b></font>");
                 for(int i=1;i<15;i++){
                      line=line.replace("<reN"+i+">","<font color=\"Green\">  prasaNgaH :-  </font>");
                 }
                 //$hom1=get_hom(line);
                 //line=line.replace("<devb>","<b><span class=\"devnag\">").replace("</devb>","</span><sup>"+$hom1+"</sup></b>");
                 line=replace_SA(line);//.replace("<","</SA><").replace(">","><SA>");
                 $table+="<SA>"+fix_q(line)+"</SA>";//.substring(0,line.indexOf("<page"));
                 //
                 $table+="[ "+page_ref+" ]<br/><br/>";
                 //$row = "";
		 //$row1 = "";
                 //parser.parseDocument(line);
		 //if ($row1.equals("")) {
		//	 $row1 = "<font size='-1'>&para;</font>";
		 //}
                 //$table += "<tr><td class='display' valign='top'><b>row1: " + $row1+ "</b></td>\n";
                 //$table += "<td class='display' valign='top'>row: " + $row + "</td></tr>\n";
            }
         $table += "</table>\n";
//		$table = preg_replace("<SA>","",$table);
//		$table = preg_replace("</SA>","",$table);
	 String $head = "<head>" + "</head>";
	 String $body = "<body>" + $table + "</body>";
	 String $html = "<html>"+$head + $body + "</html>";
         String html1 = Transcoder.processElements($html, inputType, outputType, "SA");
         return html1;
        }
        
        public static String listdisp(String keyin, ArrayList<String> dataArray,
			String inputType, String outputType, int $nmatches1) {
	 String $key = keyin;
	 $key = preg_replace("([aAiIuIfFxXeEoO])([aAiIuIfFxXeEoO])","$1 $2",$key); 
	 String $table = "";
	 if(dataArray.isEmpty()) {
		 $table += "<p>This word is not in the dictionary!";
	 }
         
	 $table += "<table class='display'>\n";
	 ListIterator<String> it = dataArray.listIterator();  
         int n=0;
         String $color="black";
	 while (it.hasNext()) {  
		 String line = it.next(); 
		 line = line.trim();
                 String hom="";
                 if(line.indexOf("#")!=-1){
                     int ind=line.indexOf("#");
                     String hom_here=line.substring(ind+1);
                     line=line.substring(0,ind);
                     hom="<sup>"+hom_here+"</sup>";
                 }
                 
                 if(n==0){
                      $table += "&nbsp;&nbsp;<a  onclick='getWordlistUp_keyboard(\""+line+"\");'><span style='color:black'>&#x25B2;</span></a><br/>\n";
                    }
                 if(n==$nmatches1){
                     $color="blue";
                 }
                 else{
                     $color="black";
                 }
                 
                 $table += //"<h1>&nbsp;<SA>" + line + "</SA></h1>\n";
		 "<a  onclick='getWordAlt_keyboard(\""+line+"\");'><font color=\""+$color+"\"><span class=\"devnag\"><SA>"+line+"</SA></span>"+hom+"</font></a><br/>\n";
                 n++;
                 if(n==dataArray.size()){
                      $table += "&nbsp;&nbsp;<a  onclick='getWordlistDown_keyboard(\""+line+"\");'><span style='color:black'>&#x25BC;</span></a><br/>\n";
                 }
         }  
//		ans = n + "data lines";
	 $table += "</table>\n";
//		$table = preg_replace("<SA>","",$table);
//		$table = preg_replace("</SA>","",$table);
	 String $head = "<head>" + "</head>";
	 String $body = "<body>" + $table + "</body>";
	 String $html = "<html>"+$head + $body + "</html>";
	 String html1 = Transcoder.processElements($html, inputType, outputType, "SA");
	 return html1;
}

        
	//Event Handlers
	public void startElement(String uri, String localName, String qName, Attributes attributes) throws SAXException {
		String $el = qName;//$inSanskrit = $false;
		if ($el.equals("lb"))  {
                    $row +="</br>";
		} 
                else if($el.equals("devb")) {
                    $row+="<font color=\"blue\"><b><span class=\"devnag\">";
		}
                else if($el.equals("dev")) {
                    $row+="<font color=\"blue\"><span class=\"devnag\">";
		}
                else if($el.equals("romi")) {
                    $row+="<em>";
		}
                else if($el.equals("romsup")) {
                    $row+="<sup>";
		}
                else if($el.equals("form")) {
                    $mainEnt=$true;
		}
                else if($el.equals("unclear")) {
                    $row+="??";
		}
                else if($el.equals("pb")) {
                    if(attributes.getValue("facs")!=null){
                        String pp = attributes.getValue("facs");
                        pp=pp.substring(pp.lastIndexOf("/")+1);
                        //$row+="[ "+getHrefPage(pp)+"]";
                    }
                }
                
		$parentEl = $el;
	}

	public void characters(char[] ch, int start, int length) throws SAXException {
		String $data= new String(ch,start,length);		
		  if ($mainEnt == $true) {
                      if ($parentEl.equals("devb"))  {
                          $row1+="<font color=\"blue\"><span class=\"devnag\">" + $data + "</span>";
                          if($hom1.length()>0){
                              $row1+="<sup>"+$hom1+"</sup>";
                          }
                          $row1+="</font>";
                      }
                  } 
                  else if($parentEl.equals("page")){
                      //$row1+="[ "+getHrefPage($data)+" ]";
                  }
                  else if($parentEl.equals("col")){
                      $row1+=" Col. "+$data+".";
                  }
                  else{
			$row += $data;
                    }

	}
	
	
	public void endElement(String uri, String localName, String qName) throws SAXException {
            String $el=qName;
            if($el.equals("devb")) {
                    $row+="</span></b></font>";
		}
            else if($el.equals("dev")) {
                    $row+="</span></font>";
		}
            else if($el.equals("romi")) {
                    $row+="</em>";
		}
            else if($el.equals("romsup")) {
                    $row+="</sup>";
		}

//		if(qName.equalsIgnoreCase("Employee")) {
//			//add it to the list
//			myEmpls.add(tempEmp);
//			
//		}else if (qName.equalsIgnoreCase("Name")) {
//			tempEmp.setName(tempVal);
//		}else if (qName.equalsIgnoreCase("Id")) {
//			tempEmp.setId(Integer.parseInt(tempVal));
//		}else if (qName.equalsIgnoreCase("Age")) {
//			tempEmp.setAge(Integer.parseInt(tempVal));
//		}
		  
		
	}
        
	

	
	private static boolean preg_match(String string, String $line) {
		 Pattern pattern = Pattern.compile(string);
		 Matcher matcher = pattern.matcher($line);
		 return matcher.find();
	}

	private static String preg_replace(	String string, String string2,
			String $line) {
		return $line.replaceAll(string, string2);
	}
//	public static void main(String[] args) {
//		String $line = "<H1a>";
//	}
        public static String fix_q(String s){    
                String tmp[]=s.split("<q>");
                String out=tmp[0];
                if(tmp.length>1){
                   for(int i=1;i<tmp.length;i++){
                        if(i%2==1){
                            out=out+"<q>"+tmp[i];
                        }
                        else{
                            out=out+"</q>"+tmp[i];
                        }
                   }
                }
                   return out;
        }
        public static String get_hom(String s){
            String out="";
            if(s.indexOf("<entry ")==-1){
		out="";
            }
            else{
		out=s.substring(s.indexOf("\'")+1,s.indexOf("\'>"));
            }
            return out;
        }
        public static String get_page(String data){
            String $hom="";
            Pattern pattern = Pattern.compile("<page>(.*?)</page>");
            Matcher m = pattern.matcher(data);
            if(m.find()){
                $hom=m.group(1);
            }
            return $hom;
        }
        public static String get_col(String data){
            String $hom="";
            Pattern pattern = Pattern.compile("<column>(.*?)</column>");
            Matcher m = pattern.matcher(data);
            if(m.find()){
                $hom=m.group(1);
            }
            return $hom;
        }
        public static String replace_SA(String data){
            Pattern pattern = Pattern.compile("(<.*?>)");
            Matcher m = pattern.matcher(data);
            StringBuffer sb = new StringBuffer(2000);
		if(m.find()){
		    //fr.write(s+"\n");
		    m = pattern.matcher(data);
		    loopF:while(m.find()) {
			m.appendReplacement(sb, Matcher.quoteReplacement("</SA>"+m.group(1)+"<SA>"));
		    }
		    m.appendTail(sb);
		    String toChange=sb.toString();
                return toChange;
                }
                return data;
        }
        public static String mod_hom(String data){
            String $hom=data;
            boolean isEdited=false;
            loopi:for(int i=0;i<$hom.length();i++){
                if("12345678".indexOf($hom.charAt(i))==-1){
                       isEdited=true;
                       break loopi;
                }
            }
            if(isEdited){
                $hom="&lang;"+$hom+"&rang;";
            }
          return $hom;
        }
        
}

