/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.sanskritlibrary.lexicons.wordnet;

import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.sanskritlibrary.lexicons.Transcoder;

/**
 *
 * @author pgoyal
 */
public class GetAlphaWN extends HttpServlet {

  private WN bs = null;
  

  /**
   * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
   * @param request servlet request
   * @param response servlet response
   * @throws ServletException if a servlet-specific error occurs
   * @throws IOException if an I/O error occurs
   */
  protected void processRequest(HttpServletRequest request, HttpServletResponse response)
          throws ServletException, IOException {
    if (bs == null) {
      bs = new WN(request);
    }
    String dataDir=getServletContext().getInitParameter("dataDirectory");
    response.setContentType("text/html;charset=UTF-8");
    Transcoder.setRequest(request);
    PrintWriter out = response.getWriter();
    try {
          /* caller
      var url = "getHier" +
      "?key=" +escape(word) +
      "&filter=" +escape(filter) +
      "&noLit=" + escape(noLit) +
      "&transLit=" + escape(transLit);
       */
     
      String word = request.getParameter("key");
      String direction = request.getParameter("direction");
      if(direction==null){
            direction="CENTER";
        }
      String inputType = request.getParameter("inputType"); // not used?
      String phoneticInput = request.getParameter("phoneticInput");
      String serverOptions = request.getParameter("serverOptions");
      String viewAs = request.getParameter("viewAs");
      String doTrans=request.getParameter("doTrans");
      if(doTrans==null){
          doTrans="t";
      }
      if(serverOptions.equals("phonetic")){
        bs.setPreferences("slp1,"+phoneticInput);
      }
      else{
          bs.setPreferences("slp1,"+serverOptions);
      }
      String ans = "";
      if(doTrans.equals("t")){
        if(viewAs.equals("phonetic")){
          word = Transcoder.processString(word, phoneticInput, "slp1");
        }
        else{
            word = Transcoder.processString(word, viewAs, "slp1");
        }
      }
      //String to = Transcoder.standardize_filter(filter);
     // mw.setPreferences(serverOptions+","+viewAs);
      //out.println("<p>Here is answer</p>");
      ans =bs.getList(word,direction,dataDir);
      //out.println("<p>Got out of getList</p>");
      //out.println("<p>" + word + "<p>");
      out.println(ans);
    } catch (Exception e) {
        out.println("Errors caught are:::");
      out.println(e);
      //if (bs == null) {
        //out.println("bs is actually null");
      //}else {
        //out.println("bs is actually not null");
      //}
    } finally {
      out.close();
    }
  }

  // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
  /**
   * Handles the HTTP <code>GET</code> method.
   * @param request servlet request
   * @param response servlet response
   * @throws ServletException if a servlet-specific error occurs
   * @throws IOException if an I/O error occurs
   */
  @Override
  protected void doGet(HttpServletRequest request, HttpServletResponse response)
          throws ServletException, IOException {
    processRequest(request, response);
  }

  /**
   * Handles the HTTP <code>POST</code> method.
   * @param request servlet request
   * @param response servlet response
   * @throws ServletException if a servlet-specific error occurs
   * @throws IOException if an I/O error occurs
   */
  @Override
  protected void doPost(HttpServletRequest request, HttpServletResponse response)
          throws ServletException, IOException {
    processRequest(request, response);
  }

  /**
   * Returns a short description of the servlet.
   * @return a String containing servlet description
   */
  @Override
  public String getServletInfo() {
    return "Short description";
  }// </editor-fold>
}

