package org.sanskritlibrary.web;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.sanskritlibrary.servlet.SanskritLibraryServlet;

public class Monier extends SanskritLibraryServlet
{
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException 
	{
        request.setAttribute("context", "<a href='InstructionalMaterials'>Monier</a> | ");
        request.setAttribute("title", "Monier Williams");
		//forward("Monier.jsp", request, response);
        String word = request.getParameter("key");
      String keyboard = request.getParameter("keyboard");
      String inputType = request.getParameter("inputType"); // not used?
      String unicodeInput = request.getParameter("unicodeInput");
      String phoneticInput = request.getParameter("phoneticInput");
      String serverOptions = request.getParameter("serverOptions");
      String viewAs = request.getParameter("viewAs");
      String direction = request.getParameter("direction");
      String hom = request.getParameter("hom");//new for homophony
      if(direction==null){
         direction="CENTER";
      }
      if(hom==null){
         hom="0";
      }
        request.setAttribute("key", word);
        request.setAttribute("keyboard", keyboard);
        request.setAttribute("inputType", inputType);
        request.setAttribute("unicodeInput", unicodeInput);
        request.setAttribute("phoneticInput", phoneticInput);
        request.setAttribute("serverOptions", serverOptions);
        request.setAttribute("viewAs", viewAs);
        request.setAttribute("direction", direction);
        request.setAttribute("hom", hom);
        RequestDispatcher rd = request.getRequestDispatcher("Monier.jsp");
        rd.forward(request, response);
    } 

    /** 
     * Returns a short description of the servlet.
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}