package org.sanskritlibrary.web;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.sanskritlibrary.servlet.SanskritLibraryServlet;

/**
 *
 * @author ralph
 */
public class ReloadConfig extends SanskritLibraryServlet
{
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException 
    {
        String result = StartupListener.loadConfigFiles(this.getServletContext());
        if (result.length() == 0)
            result = "Configuration files data/sandhiHeuristics.xml and data/dictionaryLinks.xml have been reloaded";
        result = result.replace("\n", "<br/>");
        request.setAttribute("result", result);
        forward("ReloadConfig.jsp", request, response);
    } 

    /** 
     * Returns a short description of the servlet.
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}
