package org.sanskritlibrary.web;

import java.io.File;

public class Utils {
    static String buildFileName(String dir, String filename) {
        String sep = "";
        if (!dir.endsWith("/")) {
            sep = "/";
        }

        String fn = String.format("%s%s%s", dir, sep, filename);
        File f = new File(fn);
        if (!f.exists()) {
            System.out.format("%s not found\n", fn);
            fn = null;
        }

        return fn;
    }
}
