<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@include file="WEB-INF/jspf/Head.jspf"%>
<%@include file="WEB-INF/jspf/BreadCrumbs.jspf"%>
<%@include file="WEB-INF/jspf/Menu.jspf"%>
<%@include file="WEB-INF/jspf/EnglishPage.jspf"%>

<p>The Sanskrit Library ...</p>
<ul>
<li class='spaced'>is a digital library dedicated to enhancing online access to the cultural heritage of India by facilitating education and research in Sanskrit, one of the world’s richest culture-bearing languages.</li>
<li class='spaced'>provides access to digitized texts and manuscript images, lexical resources, linguistics software, and computerized research and study tools that analyze and maximize the utility of digitized Sanskrit materials.</li>
<li class='spaced'>is a <a href='http://ucc.state.ri.us/CorpSearch/CorpSearchInput.asp' target='_blank'>Rhode Island non-profit corporation</a> founded 4 November 2002.</li>
<li class='spaced'>maintains a server at the <a href='http://www.brown.edu/Departments/CCV/' target='_blank'>Center for Computation and Visualization</a> at Brown University.
<li class='spaced'>has an international <a href='BC?name=Directors&context=~About'>board of directors</a> that includes world-renowned experts in Sanskrit, linguistics, and computer science, and leaders on the cutting edge of Sanskrit digital humanities innovation.</li>
<li class='spaced'>has a <a href='BC?name=Documentation&context=~About'>productive history</a>.</li>
<li class='spaced'>is currently engaged in several major <a href='BC?name=Projects&context=~About'>projects</a>.</li>
</ul>

<%@include file="WEB-INF/jspf/BodyEnd.jspf"%>
