
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
    <head>
        <style type='text/css'>
            img.page {position:absolute; z-index:1;}
            img.start {position:absolute; left:299px; top:101px; z-index:2; opacity:1.0;}
            img.end {position:absolute; left:209px; top:291px; z-index:2; opacity:1.0;}
            #cnvpage {position:absolute;}
        </style>

        <script type='text/javascript'>
            function init () {

                var myimage, cnvpage;

                cnvpage = document.createElement('canvas');
                cnvpage.id = 'cnvpage';
                document.body.appendChild(cnvpage);
                myimage = new Image();

                myimage.onload = function() {
                    var canvas, context, img, h;
                    img = document.getElementById('imgpage');
                    canvas = document.getElementById('cnvpage')
                    context = canvas.getContext('2d');
                    canvas.style.left = '' + img.offsetWidth + 'px';
                    canvas.width = 661;
                    h = 661 * (myimage.naturalHeight/myimage.naturalWidth);
                    canvas.height = h;
                    context.drawImage(myimage, 0, 0, 600, h);
                    drawLeftBracket(context, 299, 101, canvas.width, canvas.height);
                    drawRightBracket(context, 209, 291);
                }

                myimage.src = 'images/page.jpg';
            }

            function drawLeftBracket (ctx, x, y, w, h) {
                var pix, len, i, data;
                ctx.strokeStyle = 'red';
                ctx.lineWidth = 4;
                ctx.lineCap = 'round';
                ctx.beginPath();
                ctx.moveTo(x, y);		// draw vertical
                ctx.lineTo(x, y+20);
                ctx.moveTo(x, y);		// draw horizontal
                ctx.lineTo(x+5, y);
                ctx.stroke();
                pix = ctx.getImageData(x, y, 1, 1);
                data = pix.data;
                len = data.length;
                for (i=0; i < len; i+=4) {
                    data[i] = 0;
                    data[i+1] = 255;
                    data[i+2] = 0;
                }
                ctx.putImageData(pix, x, y);
            }

            function drawRightBracket (ctx, x, y) {
                ctx.strokeStyle = 'red';
                ctx.lineWidth = 4;
                ctx.lineCap = 'round';
                ctx.beginPath();
                ctx.moveTo(x, y);		// draw vertical
                ctx.lineTo(x, y-20);
                ctx.moveTo(x, y);		// draw horizontal
                ctx.lineTo(x-5, y);
                ctx.stroke();
            }
        </script>
    </head>
    <body onload='init()'>
        <img id='imgpage' class='page' src='images/page.jpg'  width='661px' height='395px'/>
        <img class='start' src='images/start.gif'/>
        <img class='end' src='images/end.gif'/>
    </body>
</html>
