<%@page contentType='text/html' pageEncoding='UTF-8'%>
<%@include file='../WEB-INF/jspf/Head.jspf'%>
<%@include file='../WEB-INF/jspf/BreadCrumbs.jspf'%>
<%@include file='../WEB-INF/jspf/Menu.jspf'%>
<link rel='stylesheet' type='text/css' href='css/bib.css'/>
<script type='text/javascript'>
function doSubmit(n)
{
	$("#format").val(n);
	$("#buttons").submit();
}
</script>
<div class='contentEnglish'>
<div class='text'>
<div class='TXTbuttons'>
<form id='buttons' action='TextViewer' method='get'>
<input class='TXTmenuButton' style='display:inline' value='Text' onclick='doSubmit(0)' type='button'/>
<input class='TXTmenuButton' style='display:none' value='Sandhi-analyzed Text' onclick='doSubmit(1)' type='button'/>
<input class='TXTmenuButton' style='display:none' value='Kramapāṭha Reader' onclick='doSubmit(2)' type='button'/>
<input id='format' name='format' type='hidden' value=''/>
<input id='name' name='name' type='hidden' value='bau'/>
<input id='title' name='title' type='hidden' value='The Bṛhadāraṇyaka-Upaniṣad'/>
<input id='texttype' name='texttype' type='hidden' value=${texttype}/>
</form>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Title: </div>
	<div class='BIBvalue'>The Bṛhadāraṇyaka-Upaniṣad</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Subtitle: </div>
	<div class='BIBvalue'>Mādhyandina-Recension / Kāṇva-Recension: First XML edition</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Editor: </div>
	<div class='BIBvalue'>Peter M. Scharf</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Contributor: </div>
	<div class='BIBvalue'>Matthias H. Ahlborn</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Contributions: </div>
	<div class='BIBvalue'>Xml markup and header in accordance with the Text Encoding Initiative (TEI) guidelines.</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Contributor: </div>
	<div class='BIBvalue'>Peter M. Scharf</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Contributions: </div>
	<div class='BIBvalue'>Created template for the document in accordance with the Text Encoding Initiative (TEI) guidelines.</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Version: </div>
	<div class='BIBvalue'>Version: 0.1</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Publication: </div>
	<div class='BIBvalue'>Providence, RI: The Sanskrit Library, 2010</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Copyright: </div>
	<div class='BIBvalue'>Copyright (C) 2010 The Sanskrit Library</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Copyright: </div>
	<div class='BIBvalue'>All rights reserved other than those granted under the Creative Commons Attribution Non-Commercial Share Alike license available in full at <a target='copyright' href='http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode'>http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode</a>, and summarized at <a target='copyright' href='http://creativecommons.org/licenses/by-nc-sa/3.0/'>http://creativecommons.org/licenses/by-nc-sa/3.0/</a>. Permission is granted to build upon this work non-commercially, as long as credit is explicitly acknowledged exactly as described herein and derivative work is distributed under the same license.</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>SubjectSL: </div>
	<div class='BIBvalue'>Upaniṣad. Private instruction</div>
</div>
<div class='BIBsec'>Source</div>
<div class='BIBentry'>
	<div class='BIBname'>Title: </div>
	<div class='BIBvalue'>White Yajur-Veda</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Subtitle: </div>
	<div class='BIBvalue'>Bṛhad-Āraṇyaka-Upaniṣad</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Editor: </div>
	<div class='BIBvalue'>Jost Gippert</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Publication: </div>
	<div class='BIBvalue'>Frankfurt: TITUS, 2008</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Web Page:</div>
	<div class='BIBvalue'><a target='source' href='http://titus.uni-frankfurt.de/texte/etcs/ind/aind/ved/yvw/upanisad/bau/bau.htm'>http://titus.uni-frankfurt.de/texte/etcs/ind/aind/ved/yvw/upanisad/bau/bau.htm</a></div>
</div>
<div class='BIBsec'>Source</div>
<div class='BIBentry'>
	<div class='BIBname'>Title: </div>
	<div class='BIBvalue'>Bṛhad-Āraṇyaka-Upaniṣad</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Subtitle: </div>
	<div class='BIBvalue'>Mādhyandina-Recension / Kāṇva-Recension: On the basis of the editions by Albrecht Weber, "The Śatapatha-Brāhmaṇa in the Mādhyandina-Śākhā with extracts from the commentaries of Sāyaṇa, Harisvāmin and Dvivedānga, Berlin 1849 / Repr. Varanasi 1964 (Chowkhamba Sanskrit Ser., 96)" and Willem Caland, "The Śatapatha Brāhmaṇa in the Kāṇvīya Recension, rev. ed. by Raghu Vira, Lahore 1926 / repr. Delhi 1983"</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Editor: </div>
	<div class='BIBvalue'>Marcos Albino</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Publication: </div>
	<div class='BIBvalue'>Erlangen: 1996-1997</div>
</div>
<div class='BIBsec'>Source</div>
<div class='BIBentry'>
	<div class='BIBname'>Title: </div>
	<div class='BIBvalue'>The C̣atapatha-Brāhmaṇa in the Mādhyandina-c̣ākhā: with extracts from the commentaries of Sāyana, Harisvāmin and Dvivedānga</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Editor: </div>
	<div class='BIBvalue'>Albrecht Weber</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Publication: </div>
	<div class='BIBvalue'>Varanasi: The Chowkhamba Sanskrit series Office, 1964</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Series: </div>
	<div class='BIBvalue'>Chowkhamba Sanskrit Series  96</div>
</div>
<div class='BIBsec'>Source</div>
<div class='BIBentry'>
	<div class='BIBname'>Title: </div>
	<div class='BIBvalue'>The Śatapatha Brāhmana in the Kāṇvīya recension: edited for the first time by W. Caland</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Editor: </div>
	<div class='BIBvalue'>Willem Caland</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Publication: </div>
	<div class='BIBvalue'>Delhi: Motilal Banarsidass, 1983</div>
</div>
<%@include file='../WEB-INF/jspf/BodyEnd.jspf'%>