<%@page contentType='text/html' pageEncoding='UTF-8'%>
<%@include file='../WEB-INF/jspf/Head.jspf'%>
<%@include file='../WEB-INF/jspf/BreadCrumbs.jspf'%>
<%@include file='../WEB-INF/jspf/Menu.jspf'%>
<link rel='stylesheet' type='text/css' href='css/bib.css'/>
<script type='text/javascript'>
function doSubmit(n)
{
	$("#format").val(n);
	$("#buttons").submit();
}
</script>
<div class='contentEnglish'>
<div class='text'>
<div class='TXTbuttons'>
<form id='buttons' action='TextViewer' method='get'>
<input class='TXTmenuButton' style='display:inline' value='Text' onclick='doSubmit(0)' type='button'/>
<input class='TXTmenuButton' style='display:none' value='Sandhi-analyzed Text' onclick='doSubmit(1)' type='button'/>
<input class='TXTmenuButton' style='display:none' value='Kramapāṭha Reader' onclick='doSubmit(2)' type='button'/>
<input id='format' name='format' type='hidden' value=''/>
<input id='name' name='name' type='hidden' value='chup'/>
<input id='title' name='title' type='hidden' value='The Chāndogya-Upaniṣad'/>
<input id='texttype' name='texttype' type='hidden' value=${texttype}/>
</form>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Title: </div>
	<div class='BIBvalue'>The Chāndogya-Upaniṣad: First XML edition</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Editor: </div>
	<div class='BIBvalue'>Peter M. Scharf</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Contributor: </div>
	<div class='BIBvalue'>Matthias H. Ahlborn</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Contributions: </div>
	<div class='BIBvalue'>Xml markup and header in accordance with the Text Encoding Initiative (TEI) guidelines.</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Contributor: </div>
	<div class='BIBvalue'>Peter M. Scharf</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Contributions: </div>
	<div class='BIBvalue'>Created template for the document in accordance with the Text Encoding Initiative (TEI) guidelines.</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Version: </div>
	<div class='BIBvalue'>Version: 0.1</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Publication: </div>
	<div class='BIBvalue'>Providence, RI: The Sanskrit Library, 2010</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Copyright: </div>
	<div class='BIBvalue'>Copyright (C) 2010 The Sanskrit Library</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Copyright: </div>
	<div class='BIBvalue'>All rights reserved other than those granted under the Creative Commons Attribution Non-Commercial Share Alike license available in full at <a target='copyright' href='http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode'>http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode</a>, and summarized at <a target='copyright' href='http://creativecommons.org/licenses/by-nc-sa/3.0/'>http://creativecommons.org/licenses/by-nc-sa/3.0/</a>. Permission is granted to build upon this work non-commercially, as long as credit is explicitly acknowledged exactly as described herein and derivative work is distributed under the same license.</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>SubjectSL: </div>
	<div class='BIBvalue'>Upaniṣad. Private instruction</div>
</div>
<div class='BIBsec'>Source</div>
<div class='BIBentry'>
	<div class='BIBname'>Title: </div>
	<div class='BIBvalue'>Sāma-Veda</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Subtitle: </div>
	<div class='BIBvalue'>Chāndogya-Upaniṣad</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Editor: </div>
	<div class='BIBvalue'>Jost Gippert</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Publication: </div>
	<div class='BIBvalue'>Frankfurt: TITUS, 2008</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Web Page:</div>
	<div class='BIBvalue'><a target='source' href='http://titus.uni-frankfurt.de/texte/etcs/ind/aind/ved/sv/upanisad/chup/chup.htm'>http://titus.uni-frankfurt.de/texte/etcs/ind/aind/ved/sv/upanisad/chup/chup.htm</a></div>
</div>
<div class='BIBsec'>Source</div>
<div class='BIBentry'>
	<div class='BIBname'>Title: </div>
	<div class='BIBvalue'>Chāndogya-Upaniṣad: On the basis of the editions "Aṣṭādaśa-ūpaniṣadaḥ, Gaṃdhī-smārakabhūtaṃ saṃskaraṇam. Prathamaḥ khaṇḍaḥ, ed. V.P. Limaye and R.D. Vāḍekara. Puṇyapattanam: Vaidika-Saṃśodhana-Maṇḍalam, 1958, pp. 68-173" and "Chāndoya-Upaniṣad, traduite et annotée par Emile Senart, Paris: Société d'Édition "Les Belles Lettres", 1930, 33, 1-121 (double pagination), 123-142 pp. (Siglum S)" edited under the direction of Peter Schreiner by M. Christof, J. Gengnagel, K.-P. Gietz, A. Heckel, H. Petzel, M. Püschel, K. Sahni, J. Schiefele, Th. Weinert, Zürich 1985-1986, and corrected by Andreas Bigger, Gerald Grobbel, Salvatore Scarlata, Peter Schreiner, Heinz-Werner Weßler</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Editor: </div>
	<div class='BIBvalue'>Peter Schreiner</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Publication: </div>
	<div class='BIBvalue'>Zürich: 1990</div>
</div>
<div class='BIBsec'>Source</div>
<div class='BIBentry'>
	<div class='BIBname'>Title: </div>
	<div class='BIBvalue'>Aṣṭādaśa-ūpaniṣadaḥ</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Subtitle: </div>
	<div class='BIBvalue'>Gaṃdhī-smārakabhūtaṃ saṃskaraṇam</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Editor: </div>
	<div class='BIBvalue'>V.P. Limaye</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Publication: </div>
	<div class='BIBvalue'>Puṇyapattanam (= Poona): Vaidika-Saṃśodhana-Maṇḍalam, 1958</div>
</div>
<div class='BIBsec'>Source</div>
<div class='BIBentry'>
	<div class='BIBname'>Title: </div>
	<div class='BIBvalue'>Chandogya-Upanisad</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Subtitle: </div>
	<div class='BIBvalue'>Traduite et annotée par Emile Senart</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Editor: </div>
	<div class='BIBvalue'>Emile Senart</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Publication: </div>
	<div class='BIBvalue'>Paris: Société d'Édition "Les Belles Lettres", 1930</div>
</div>
<%@include file='../WEB-INF/jspf/BodyEnd.jspf'%>