<%@page contentType='text/html' pageEncoding='UTF-8'%>
<%@include file='../WEB-INF/jspf/Head.jspf'%>
<%@include file='../WEB-INF/jspf/BreadCrumbs.jspf'%>
<%@include file='../WEB-INF/jspf/Menu.jspf'%>
<link rel='stylesheet' type='text/css' href='css/bib.css'/>
<script type='text/javascript'>
function doSubmit(n)
{
	$("#format").val(n);
	$("#buttons").submit();
}
</script>
<div class='contentEnglish'>
<div class='text'>
<div class='TXTbuttons'>
<form id='buttons' action='TextViewer' method='get'>
<input class='TXTmenuButton' style='display:inline' value='Text' onclick='doSubmit(0)' type='button'/>
<input class='TXTmenuButton' style='display:none' value='Sandhi-analyzed Text' onclick='doSubmit(1)' type='button'/>
<input class='TXTmenuButton' style='display:none' value='Kramapāṭha Reader' onclick='doSubmit(2)' type='button'/>
<input id='format' name='format' type='hidden' value=''/>
<input id='name' name='name' type='hidden' value='paYcatantra'/>
<input id='title' name='title' type='hidden' value='Pañcākhyānaka'/>
<input id='texttype' name='texttype' type='hidden' value=${texttype}/>
</form>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Title: </div>
	<div class='BIBvalue'>Pañcākhyānaka: First XML edition.</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Author: </div>
	<div class='BIBvalue'>Pūrṇabhadra</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Editor: </div>
	<div class='BIBvalue'>Peter M. Scharf</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Contributor: </div>
	<div class='BIBvalue'>Peter M. Scharf</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Contributions: </div>
	<div class='BIBvalue'>Data-entry, XML markup, and template in accordance with the Text Encoding Initiative (TEI) guidelines.</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Version: </div>
	<div class='BIBvalue'>Version: 0.1</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Publication: </div>
	<div class='BIBvalue'>Providence, RI: The Sanskrit Library, 2011</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Copyright: </div>
	<div class='BIBvalue'>Copyright (C) 2011 The Sanskrit Library</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Copyright: </div>
	<div class='BIBvalue'>All rights reserved.</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>SubjectLC: </div>
	<div class='BIBvalue'>Tales -- India</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>SubjectSL: </div>
	<div class='BIBvalue'>Kathā. Story literature other than Itihāsa and Purāṇa</div>
</div>
<%@include file='../WEB-INF/jspf/BodyEnd.jspf'%>