<%@page contentType='text/html' pageEncoding='UTF-8'%>
<%@include file='../WEB-INF/jspf/Head.jspf'%>
<%@include file='../WEB-INF/jspf/BreadCrumbs.jspf'%>
<%@include file='../WEB-INF/jspf/Menu.jspf'%>
<link rel='stylesheet' type='text/css' href='css/bib.css'/>
<script type='text/javascript'>
function doSubmit(n)
{
	$("#format").val(n);
	$("#buttons").submit();
}
</script>
<div class='contentEnglish'>
<div class='text'>
<div class='TXTbuttons'>
<form id='buttons' action='TextViewer' method='get'>
<input class='TXTmenuButton' style='display:inline' value='Text' onclick='doSubmit(0)' type='button'/>
<input class='TXTmenuButton' style='display:none' value='Sandhi-analyzed Text' onclick='doSubmit(1)' type='button'/>
<input class='TXTmenuButton' style='display:none' value='Kramapāṭha Reader' onclick='doSubmit(2)' type='button'/>
<input id='format' name='format' type='hidden' value=''/>
<input id='name' name='name' type='hidden' value='pancatt'/>
<input id='title' name='title' type='hidden' value='The Pañcatantra'/>
<input id='texttype' name='texttype' type='hidden' value=${texttype}/>
</form>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Title: </div>
	<div class='BIBvalue'>The Pañcatantra: First XML edition</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Editor: </div>
	<div class='BIBvalue'>Peter M. Scharf</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Contributor: </div>
	<div class='BIBvalue'>Matthias H. Ahlborn</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Contributions: </div>
	<div class='BIBvalue'>Xml markup and header in accordance with the Text Encoding Initiative (TEI) guidelines.</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Contributor: </div>
	<div class='BIBvalue'>Peter M. Scharf</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Contributions: </div>
	<div class='BIBvalue'>Created template for the document in accordance with the Text Encoding Initiative (TEI) guidelines.</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Version: </div>
	<div class='BIBvalue'>Version: 0.1</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Publication: </div>
	<div class='BIBvalue'>Providence, RI: The Sanskrit Library, 2010</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Copyright: </div>
	<div class='BIBvalue'>Copyright (C) 2010 The Sanskrit Library</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Copyright: </div>
	<div class='BIBvalue'>All rights reserved other than those granted under the Creative Commons Attribution Non-Commercial Share Alike license available in full at <a target='copyright' href='http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode'>http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode</a>, and summarized at <a target='copyright' href='http://creativecommons.org/licenses/by-nc-sa/3.0/'>http://creativecommons.org/licenses/by-nc-sa/3.0/</a>. Permission is granted to build upon this work non-commercially, as long as credit is explicitly acknowledged exactly as described herein and derivative work is distributed under the same license.</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>SubjectSL: </div>
	<div class='BIBvalue'>Kathā. Story literature other than Itihāsa and Purāṇa</div>
</div>
<div class='BIBsec'>Source</div>
<div class='BIBentry'>
	<div class='BIBname'>Title: </div>
	<div class='BIBvalue'>Pañcatantra</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Editor: </div>
	<div class='BIBvalue'>Jost Gippert</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Publication: </div>
	<div class='BIBvalue'>Frankfurt: TITUS, 2008</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Web Page:</div>
	<div class='BIBvalue'><a target='source' href='http://titus.uni-frankfurt.de/texte/etcs/ind/aind/klskt/pancatt/panca.htm'>http://titus.uni-frankfurt.de/texte/etcs/ind/aind/klskt/pancatt/panca.htm</a></div>
</div>
<div class='BIBsec'>Source</div>
<div class='BIBentry'>
	<div class='BIBname'>Title: </div>
	<div class='BIBvalue'>Pañcatantra</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Subtitle: </div>
	<div class='BIBvalue'>Extracts: Tantras 1 and 2 without frame stories: On the basis of the editions "Panchatantra I [Textus simplicior], Edited with notes by F. Kielhorn, Bombay 1882" and "Panchatantra II. and III, Edited with notes by Dr. G. Bühler, Bombay 1881" transliterated by Dr. K. S. Nagaraja, converted into the Tübingen-Zürich format by Miroslav Rozehnal; transliteration commissioned by Lars Martin Fosse</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Editor: </div>
	<div class='BIBvalue'>Lars Martin Fosse</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Publication: </div>
	<div class='BIBvalue'>Oslo: </div>
</div>
<div class='BIBsec'>Source</div>
<div class='BIBentry'>
	<div class='BIBname'>Title: </div>
	<div class='BIBvalue'>Panchatantra I [Textus simplicior]: Edited with notes</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Editor: </div>
	<div class='BIBvalue'>F. Kielhorn</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Publication: </div>
	<div class='BIBvalue'>Bombay: 1882</div>
</div>
<div class='BIBsec'>Source</div>
<div class='BIBentry'>
	<div class='BIBname'>Title: </div>
	<div class='BIBvalue'>Panchatantra II. and III: Edited with notes</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Editor: </div>
	<div class='BIBvalue'>G. Buehler</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Publication: </div>
	<div class='BIBvalue'>Bombay: 1881</div>
</div>
<%@include file='../WEB-INF/jspf/BodyEnd.jspf'%>