<%@page contentType='text/html' pageEncoding='UTF-8'%>
<%@include file='../WEB-INF/jspf/Head.jspf'%>
<%@include file='../WEB-INF/jspf/BreadCrumbs.jspf'%>
<%@include file='../WEB-INF/jspf/Menu.jspf'%>
<link rel='stylesheet' type='text/css' href='css/bib.css'/>
<script type='text/javascript'>
function doSubmit(n)
{
	$("#format").val(n);
	$("#buttons").submit();
}
</script>
<div class='contentEnglish'>
<div class='text'>
<div class='TXTbuttons'>
<form id='buttons' action='TextViewer' method='get'>
<input class='TXTmenuButton' style='display:inline' value='Text' onclick='doSubmit(0)' type='button'/>
<input class='TXTmenuButton' style='display:none' value='Sandhi-analyzed Text' onclick='doSubmit(1)' type='button'/>
<input class='TXTmenuButton' style='display:none' value='Kramapāṭha Reader' onclick='doSubmit(2)' type='button'/>
<input id='format' name='format' type='hidden' value=''/>
<input id='name' name='name' type='hidden' value='parss'/>
<input id='title' name='title' type='hidden' value='The Parāśara-Smṛti'/>
<input id='texttype' name='texttype' type='hidden' value=${texttype}/>
</form>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Title: </div>
	<div class='BIBvalue'>The Parāśara-Smṛti: First XML edition</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Editor: </div>
	<div class='BIBvalue'>Peter M. Scharf</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Contributor: </div>
	<div class='BIBvalue'>Matthias H. Ahlborn</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Contributions: </div>
	<div class='BIBvalue'>Xml markup and header in accordance with the Text Encoding Initiative (TEI) guidelines.</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Contributor: </div>
	<div class='BIBvalue'>Peter M. Scharf</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Contributions: </div>
	<div class='BIBvalue'>Created template for the document in accordance with the Text Encoding Initiative (TEI) guidelines.</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Version: </div>
	<div class='BIBvalue'>Version: 0.1</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Publication: </div>
	<div class='BIBvalue'>Providence, RI: The Sanskrit Library, 2010</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Copyright: </div>
	<div class='BIBvalue'>Copyright (C) 2010 The Sanskrit Library</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Copyright: </div>
	<div class='BIBvalue'>All rights reserved other than those granted under the Creative Commons Attribution Non-Commercial Share Alike license available in full at <a target='copyright' href='http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode'>http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode</a>, and summarized at <a target='copyright' href='http://creativecommons.org/licenses/by-nc-sa/3.0/'>http://creativecommons.org/licenses/by-nc-sa/3.0/</a>. Permission is granted to build upon this work non-commercially, as long as credit is explicitly acknowledged exactly as described herein and derivative work is distributed under the same license.</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>SubjectLC: </div>
	<div class='BIBvalue'>Hindi law -- Sources</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>SubjectSL: </div>
	<div class='BIBvalue'>Dharmaśāstra. Duty, Custom, and Law</div>
</div>
<div class='BIBsec'>Source</div>
<div class='BIBentry'>
	<div class='BIBname'>Title: </div>
	<div class='BIBvalue'>Parāśara-Smṛti</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Editor: </div>
	<div class='BIBvalue'>Jost Gippert</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Publication: </div>
	<div class='BIBvalue'>Frankfurt: TITUS, 2008</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Web Page:</div>
	<div class='BIBvalue'><a target='source' href='http://titus.uni-frankfurt.de/texte/etcs/ind/aind/ved/postved/dhs/parss/parss.htm'>http://titus.uni-frankfurt.de/texte/etcs/ind/aind/ved/postved/dhs/parss/parss.htm</a></div>
</div>
<div class='BIBsec'>Source</div>
<div class='BIBentry'>
	<div class='BIBname'>Title: </div>
	<div class='BIBvalue'>Parāśara-Smṛti: On the basis of the edition "BSS No. 47", with partial collation of the edition "BI 298 (repr. 1973-4)", input by Muneo Tokunaga at the </div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Editor: </div>
	<div class='BIBvalue'>Muneo Tokunaga</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Publication: </div>
	<div class='BIBvalue'>Kyōtō: 1992</div>
</div>
<div class='BIBsec'>Source</div>
<div class='BIBentry'>
	<div class='BIBname'>Title: </div>
	<div class='BIBvalue'>Parāśaradharmasaṃhitā athavā Parāśarasmṛtiḥ</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Subtitle: </div>
	<div class='BIBvalue'>Sāyaṇamādhavācāryakṛtaṭīkāsahitā: pāṭhāntarāṇi, arthavivecakaṭippaṇī, vākyasūcī, pariśiṣṭāni ca ityādibhiḥ sahitā</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Editor: </div>
	<div class='BIBvalue'>Vāmana Sāstri Isalāmapurakara</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Publication: </div>
	<div class='BIBvalue'>Mumbai: Govt. Central Book Depot, 1893-</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Series: </div>
	<div class='BIBvalue'>Bombay Sanskrit series  47</div>
</div>
<div class='BIBsec'>Source</div>
<div class='BIBentry'>
	<div class='BIBname'>Title: </div>
	<div class='BIBvalue'>Parāśara-smṛti</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Editor: </div>
	<div class='BIBvalue'>Candrakānta Tarkālaṅkāra</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Publication: </div>
	<div class='BIBvalue'>Calcutta: The Asiatic Society, 1973-1974.</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Series: </div>
	<div class='BIBvalue'>Bibliotheca Indica  94</div>
</div>
<%@include file='../WEB-INF/jspf/BodyEnd.jspf'%>