<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"><head>
<meta charset="utf-8" />
<title>Sanskrit Reader Companion</title>
<meta name="author" content="G&#233;rard Huet" />
<meta property="dc:datecopyrighted" content="2012" />
<meta property="dc:rightsholder" content="G&#233;rard Huet" />
<meta name="keywords" content="dictionary,sanskrit,heritage,dictionnaire,sanscrit,india,inde,indology,linguistics,panini,digital humanities,cultural heritage,hypertext lexicon" />
<link rel="stylesheet" type="text/css" href="${shStatic}/DICO/style.css" media="screen,tv" />
<link rel="shortcut icon" href="${shStatic}/IMAGES/favicon.ico"/>
<script type="text/javascript" src="${shStatic}/utf82VH.js"></script>
</head>
<body class="pict_hare">
<p /><table class="salmon_cent" border="2pt" cellpadding="10pt">
<tr><th><h1 class="title">The Sanskrit Reader Companion</h1>
<h3 class="b3">Version 2.67 [2012-09-07] (French)</h3>
</th></tr></table>
<div class="center">
<p class="search">Parsing assistant for simple phrases<br />
Submit candidate sentence:<br />
Transliteration help <a href="${shStatic}/faq.html#transliteration">here</a>
<br />
Use
<span class="latin16">_</span> for <span class="trans16">hiatus</span>, space for <span class="trans16">padap&#257;&#7789;ha</span>, <span class="latin16">'</span> for <span class="trans16">avagraha</span></p>
<span class="Red16">In order to understand how to present text - read <a href="${shStatic}/faq.html#parser_input">here</a></span>
<form id="this_form" action="${shCGI}/SKT/sktreader" method="get" onsubmit="return convert()"><div>
Input convention <input type="radio" name="t" value="VH" checked="checked" /> Velthuis
<input type="radio" name="t" value="WX" /> WX
<input type="radio" name="t" value="KH" /> KH
<input type="radio" name="t" value="SL" checked="checked" /> SLP1
<input type="radio" name="t" value="DN" /> Deva
<input type="radio" name="t" value="RN" /> Roman
<br />
Lexical access <input type="radio" name="lex" value="SH" checked="checked" /> Sanskrit Heritage
<input type="radio" name="lex" value="MW" /> Monier Williams
<br />
Text category:
<input type="radio" name="st" value="t" checked="checked" /> Sentence
<input type="radio" name="st" value="f" /> Word
<br />
<input type="radio" name="us" value="t" /> Unsandhied
<input type="radio" name="us" value="f" checked="checked" /> Sandhied
<br />
Strength:
<input type="radio" name="cp" value="t" /> Complete
<input type="radio" name="cp" value="f" checked="checked" /> Simplified
<br />
<textarea id="focus" name="text" rows="1" cols="80">${verse}</textarea>
<script type="text/javascript">(function(){var src = document.getElementById('focus');src.select();})();</script>
<br />
Contextual topic:
<input type="radio" name="topic" value="m" /> Masculine
<input type="radio" name="topic" value="f" /> Feminine
<input type="radio" name="topic" value="n" /> Neuter
<input type="radio" name="topic" value="" checked="checked" /> Void
<br />
<input type="radio" name="mode" value="g" checked="checked" /> Summary
<input type="radio" name="mode" value="s" /> Segmentation
<input type="radio" name="mode" value="t" /> Tagging
<input type="radio" name="mode" value="p" /> Parsing
<br />
<input type="submit" value="Read" />
<input type="reset" value="Reset" />
</div></form>
</div>
<table class="pad60">
<tr><td /></tr></table>
<div class="enpied">
<table class="bandeau"><tr><td>
<a href="http://caml.inria.fr/ocaml/index.html"><img src="${shStatic}/IMAGES/ocaml.gif" alt="Le chameau Ocaml" style="border: none;" /></a>
</td><td class="center">
<table class="center">
<tr><td class="center">
<a href="${shStatic}/index.html"><strong>Top</strong></a> |
<a href="${shStatic}/DICO/index.html"><strong>Index</strong></a> |
<a href="${shStatic}/DICO/index.html#stemmer"><strong>Stemmer</strong></a> |
<a href="${shStatic}/DICO/grammar.html"><strong>Grammar</strong></a> |
<a href="${shStatic}/DICO/sandhi.html"><strong>Sandhi</strong></a> |
<a href="${shStatic}/DICO/reader.html"><strong>Reader</strong></a> |
<a href="${shStatic}/faq.html"><strong>Help</strong></a> |
<a href="${shStatic}/portal.html"><strong>Portal</strong></a>
</td></tr><tr><td class="center">
&#169; G&#233;rard Huet 1994-2012</td></tr></table></td><td>
<a href="http://validator.w3.org/check?uri=referer"><img src="${shStatic}/IMAGES/valid-xhtml10.png" alt="Xhtml valid" style="border: none;" /></a>
<br /></td></tr></table></div>
</body>
</html>
