<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Lexical Sources</title>
<link rel="stylesheet" type="text/css" href="css/SL2010.css" media="screen" />
<link rel="stylesheet" type="text/css" href="css/keyboard.css"/>


		<style type='text/css'>
			.frameSelected
			{
				display: block;
				width:1000px;
				height:655px;
				margin-top: 11px;
			}
			
			.frameUnselected
			{
				display: none;
				margin-top: 11px;
			}
			#divTabBar
			{
				width:auto;
			}

			#divFrames
			{
                            position: absolute;
                            left:130px;
                            top:25px;
				clear: both;
				display:block;
			}
		</style>
                
<script type="text/javascript" src="js/jquery-1.4.4.min.js"></script>
        <script type="text/javascript" src="universalProxy_js"></script>
        <script type="text/javascript" src="Lexicons/MW/keyboard.js"></script>
        <script type="text/javascript" src="js/main_copy.js"></script>
        <script type="text/javascript" src="transcoderfield_VKI.js"></script>
        <script type="text/javascript" src="Lexicons/MW/transcoderjs/transcoder3.js"> </script>
  <script type="text/javascript" src="Lexicons/MW/transcoderjs/transcoderJson.js"> </script>
		<script type='text/javascript'>
                    $(function()
                    {
                           VKI.load();
                    });
			var frames = [];
			var tabs = [];
			 function id_info(word)
                            {
                                $("#selectedHeadWord").val(word);
                            }
			function get_this(id)
			{
				return document.getElementById(id);
			}
			function useDict()
                        {
                            gotoDictionary('${dict}');
                        }
			function load()
			{
                            //alert("to to "+document.getElementById("#selectedHeadWord").val());
                            //alert("I am here" + $("#selectedHeadWord").val());
                            //$("#selectedHeadWord").value = ${orig};
                            $("#selectedHeadWord").val('${orig}');
				for (var i=0;;i++)
				{
					var tab = get_this("tab"+ (i+1));
					if (!tab)
						break;
					tabs[i] = tab;
														
					tab.onclick = function()
					{
						var n = parseInt(this.id.substring(3)) - 1;
						for (var j=0; j<tabs.length; j++)
						{
							if (j != n)
							{
								tabs[j].className = "tabUnselected";
								frames[j].className = "frameUnselected";
							}
							else
							{
								tabs[j].className = "tabSelected";
								frames[j].className = "frameSelected";
							}
						}
					}
					
					frames[i] = get_this("frame" + (i+1));
				}
			}
		</script>
	</head>
	<body onload='load()'>
            <%@include file="WEB-INF/jspf/BreadCrumbsNoBody.jspf"%>
<%@include file="WEB-INF/jspf/Menu.jspf"%>
<%@include file="WEB-INF/jspf/EngishPageNoBorder.jspf"%>
<%@include file="WEB-INF/jspf/dictTitle.jspf"%>
		<div id="divFrames">
			<c:forEach var="frame" items="${frames}">
				<iframe class="${frame.className}" id="${frame.id}" name="${frame.name}" src="${frame.src}"></iframe>
			</c:forEach>
		</div>
<%@include file="WEB-INF/jspf/BodyEnd.jspf"%>