<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@include file="WEB-INF/jspf/Head.jspf"%>
<%@include file="WEB-INF/jspf/BreadCrumbs.jspf"%>
<%@include file="WEB-INF/jspf/Menu.jspf"%>
<%@include file="WEB-INF/jspf/EnglishPage.jspf"%>

<h3>The National Endowment for the Humanities has awarded a grant of $280,000.00 in support of the Sanskrit Library project entitled, “Developing automated text-image alignment to enhance access to heritage manuscript images.”</h3>
<p>The proposed project aims to enhance access to primary cultural heritage materials of India by developing human-validated automated text-image alignment techniques in order to provide access to digital images via related machine-readable texts, lexical resources, linguistic software, and a sophisticated search interface.  Digital images of manuscripts written in Sanskrit, one of the world's richest culture-bearing languages, will be integrated into a digital library of Sanskrit. This integration will allow generalized information extraction and search techniques to reach enormous reservoirs of Sanskrit manuscripts. Integrating primary cultural materials with the Sanskrit Library will thus enable broad use of Indic collections for research and education where Indic materials are grossly underrepresented.</p>

<%@include file="WEB-INF/jspf/BodyEnd.jspf"%>
