<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@include file="WEB-INF/jspf/Head.jspf"%>
<%@include file="WEB-INF/jspf/BreadCrumbs.jspf"%>
<%@include file="WEB-INF/jspf/Menu.jspf"%>
<%@include file="WEB-INF/jspf/EnglishPage.jspf"%>

<script type="text/javascript" src="universalProxy_js"></script>

    <script type="text/javascript">
		 $(function()
		 {
			VKI_load();
		 });

		 function getDeclension()
		 {
			var data = "stem=" + encodeURIComponent($("#stem").val());

			var el = $("#gender")[0];
			data += "&gender=" + el[el.selectedIndex].value;

			el = $("#lexid")[0];
			data += "&lexid=" + el[el.selectedIndex].value;

			data += "&pac=" + SLPreferencesAccessCount;  // to prevent caching if preferences have been visited

			$.ajax({
				async: true,
				type: "GET",
				url: "NominalMorphology",
				data: data,
				beforeSend: function(xhr){$("#divResult").html("Loading...")},
				success: function(response, status)
					{
						if (status == "success")
							{
								$("#divResult").html(response);
							}
					},
				error: function (xhr, status, errorThrown)
				{
					$("#divResult").html(status);
				}
			});
		 }

    </script>

      <table cellpadding="5">
        <tr>
				<td>stem:&nbsp;<input id="stem" type="text" class='keyboardInput' size="20"/></td>
				<td>type:&nbsp;
					<select id="lexid">
						<option selected="selected" value="">noun/adjective</option>
						<option value="comp adj">comparative adjective</option>
						<option value="cardinal num">cardinal number</option>
						<option value="pron">pronoun/pronominal adj</option>
						<option value="v1 prap">present active participle, class 1, 4, or 10</option>
						<option value="v2 prap">present active participle, class 2</option>
						<option value="v3 prap">present active participle, class 3 or other reduplicating</option>
						<option value="v5 prap">present active participle, class 5, 7, 8, or 9</option>
						<option value="v6 prap">present active participle, class 6</option>
						<option value="fap">future active participle</option>
						<option value="pfap">perfect active participle</option>
					</select>
				</td>
				<td>gender:&nbsp;
					<select id="gender">
						<option selected="selected" value="m">masculine</option>
						<option value="f">feminine</option>
						<option value="n">neuter</option>
					</select>
				</td>
			</tr>

			<tr>
				<td><input type="button" value="Decline" onclick="getDeclension()"/></td>
				<!--td>display:
					<select id="filter">
						<option selected="selected" value="">Sanskrit Library SLP1</option>
						<option value="SktRomanUnicode">Roman Unicode</option>
						<option value="SktRomanCSX">Roman CSX</option>
						<option value="SktRomanManjushreeCSX">Roman Manjushree CSX</option>
						<option value="SktDevaUnicode">Devanagari Unicode</option>
					</select>
				</td-->
			</tr>
      </table>
    </div>
	 <div id="divResult">

	 </div>
<%@include file="WEB-INF/jspf/BodyEnd.jspf"%>
