<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@include file="WEB-INF/jspf/Head.jspf"%>
<%@include file="WEB-INF/jspf/BreadCrumbs.jspf"%>
<%@include file="WEB-INF/jspf/Menu.jspf"%>
<%@include file="WEB-INF/jspf/EnglishPage.jspf"%>

<p class='heading'>Encoding</p>
<ul>
 <li class="spaced">
  <a href="ProofTranscoders">Transcoder testing</a>
  <span> (<b>Test various transcoders using a round trip transcoding</b>)</span>
 </li>
 <li class="spaced">
  <a href="ScriptTable">Indic script comparison table</a>
 </li>
 <li class="spaced">
  <a href="TranscodeText">Transcoding</a>
  <span> (<b>Transcode between various character encodings.</b>)</span>
 </li>
 <!--li class="spaced">
  <a href="TranscodeFile">Advanced transcoding</a>
  <span> (<b>Transcode multiple encodings in one file.</b>)</span>
 </li-->
</ul>

<p class='heading'>Inflectional morphology</p>
<ul>
 <li class="spaced">
  <a href="NominalMorphology">Nominal paradigm generation</a>
 </li>
 <li class="spaced">
  <a href="VerbalMorphology">Verbal paradigm generation</a>
 </li>
 <li class="spaced">
  <a href="MorphologicalAnalyzer">Morphological analyzer</a> <span><b>(beta, nominals only), Scharf and Hyman</b></span>
 </li>
 <li class="spaced">
  <a href="FunderburkInterface?type=2">Morphological analyzer, Scharf, Hyman, and Funderburk</a>
  <span> (<b>Determine the stem and inflectional identification of inflected words</b>)</span>
 </li>
</ul>

<%@include file="WEB-INF/jspf/BodyEnd.jspf"%>
