<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@include file="WEB-INF/jspf/Head.jspf"%>
<%@include file="WEB-INF/jspf/BreadCrumbs.jspf"%>
<%@include file="WEB-INF/jspf/Menu.jspf"%>
<%@include file="WEB-INF/jspf/EnglishPage.jspf"%>

    <script type="text/javascript">
		 $(function()
		 {
			VKI_load();
		 });

		 function getConjugation()
		 {
			var data = "root=" + encodeURIComponent($("#root").val());

			var el = $("#tam")[0];
			data += "&tam=" + el[el.selectedIndex].value;

			el = $("#voice")[0];
			data += "&voice=" + el[el.selectedIndex].value;

			data += "&pac=" + SLPreferencesAccessCount;  // to prevent caching if preferences have been visited

			$.ajax({
				async: true,
				type: "GET",
				url: "VerbalMorphology",
				data: data,
				beforeSend: function(xhr){$("#divResult").html("Loading...")},
				success: function(response, status)
					{
						if (status == "success")
							{
								$("#divResult").html(response);
							}
					},
				error: function (xhr, status, errorThrown)
				{
					$("#divResult").html(status);
				}
			});
		 }

    </script>
    <table cellpadding="5">
		<tr>
			<td>root:&nbsp;<input id="root" class='keyboardInput' type="text" size="20"/></td>
			<td>paradigm:&nbsp;
				<select id="tam">
					<option value="pre">present indicative</option>
					<option value="ipf">imperfect</option>
					<option value="ipv">present imperative</option>
					<option value="pop">present optative</option>
					<option value="psb">present subjunctive</option>
					<option value="pij">present injunctive</option>
					<option value="fut">future indicative</option>
					<option value="con">conditional</option>
					<option value="pft">periphrastic future</option>
					<option value="prf">perfect</option>
					<option value="aor">aorist indicative</option>
					<option value="aop">aorist optative</option>
					<option value="asb">aorist subjunctive</option>
					<option value="aij">aorist injunctive</option>
				</select>
			</td>
			<td>voice:&nbsp;
				<select id="voice">
					<option value="a">active</option>
					<option value="m">middle</option>
					<option value="p">passive</option>
				</select>
			</td>
		</tr>

		<tr>
			<td><input type="button" value="Conjugate" onclick="getConjugation()"/></td>
		</tr>
	 </table>

	 <div id="divResult"></div>

<%@include file="WEB-INF/jspf/BodyEnd.jspf"%>
