package org.sanskritlibrary.lexicons.heritage;

import java.io.*;
import java.sql.*;
import java.util.ArrayList;
import java.util.Enumeration;
import java.util.Hashtable;
import java.util.ListIterator;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.sanskritlibrary.lexicons.Transcoder;

public class SH extends HttpServlet {
  private int dbNum = 1;//number of databases used
  private Connection conn[] = new Connection[dbNum];
  private Statement stat[] = new Statement[dbNum];
  private String inputType = "slp1";
  private String outputType = "slp1";
  private final String nativeType = "slp1";
  private String tableName = "shEnt";
  private String preferences = "slp1,deva";
  
  /*
  private String sqlitepfx="jdbc:sqlite";
  private String dbNameRelative = "images/sanskrit.sqlite";
  private String baseDir="/";
  // value of dbName will be changed in constructor.
  private String dbName = sqlitepfx + ":" + dbNameRelative;
  private String realpathBase;
   */
  private String dbName;
  private Exception dbErr = null;
  
  public SH(HttpServletRequest request) {
  }

  public void getCon(String dataDir){
    try {
    //Register the JDBC driver for MySQL.
      Class.forName("org.sqlite.JDBC");
      String url = "jdbc:sqlite:"+dataDir+"sqlite/shEnt.sqlite";
      conn[0] = DriverManager.getConnection(url);
      stat[0] = conn[0].createStatement();
    } catch (Exception e) {
            for(int i=0;i<dbNum;i++){
                conn[i] = null;stat[i] = null;
            }
    }

  }
  
  public String fakeget() {
      return "";
  }
  
  public String get(String keyin,String dataDir) {
      getCon(dataDir);
    decode_preferences();
    String out = "";//<p>bs.get debug "+keyin+"</p>";
              //"<p>inputType = "+inputType + ", nativeType = "+nativeType + "</p>";
    String keyNative = keyin;
    try{
    keyNative = Transcoder.processString(keyin, inputType, nativeType);
    }
    catch (Exception e) {
      //out += "Transcode Error: " + e + " : " + keyin + " "+inputType + " "+nativeType;
      //if (dbErr != null) {
        //out += "<p>dbErr = " + dbErr + "</p>";
      //}
      return "";
    }
   // if (true) {
      String output = ""; 
      String query = "select * from " + tableName + " where key='" + keyNative + "';";
      ArrayList<String> dataArray = new ArrayList<String>();
    try {
      ResultSet rs = stat[0].executeQuery(query);
      while (rs.next()) {
          String dataH=rs.getString("data");
          dataArray.add(dataH);
      }
      rs.close();
    }
    catch (Exception e) {return (e+" Error 91");}
    if(dataArray.isEmpty()){
        if(keyNative.indexOf("#")==-1){
            for(int i=1;i<5;i++){
                query = "select * from " + tableName + " where key='" + keyNative + "#"+i+"';";
                try {
                    ResultSet rs = stat[0].executeQuery(query);
                    while (rs.next()) {
                        String dataH=rs.getString("data");
                        dataArray.add(dataH);
                    }
                    rs.close();
                  }
                  catch (Exception e) {return (e+" Error 102");}
            }
        }
    }
    if(dataArray.isEmpty()){
        return "None found";
    }
   // else{
     //   return dataArray.get(0);
    //}
    return (SHDisp.bsdisp(keyNative, dataArray, inputType, outputType));
  }
  
  public String list1b(String keyin){
    String query = "select * from " + tableName + " where key='"+keyin+ "';";
      ArrayList<String> dataArray = new ArrayList<String>();
    int n = 0;
    try {
      ResultSet rs = stat[0].executeQuery(query);
      while (rs.next()) {
        n++;
        String lH = rs.getString("lnum");
        dataArray.add(lH);
//        	  System.out.println(rs.getString("key") + "," + rs.getString("lnum") +"\n");
      }
      rs.close();

    } catch (Exception e) {
      System.out.println("Databse error");
      }
    if(dataArray.isEmpty()){
        if(keyin.indexOf("#")==-1){
            query = "select * from " + tableName + " where key='"+keyin+ "#1';";
            try {
                ResultSet rs = stat[0].executeQuery(query);
                while (rs.next()) {
                  String lH = rs.getString("lnum");
                  dataArray.add(lH);
                }
                rs.close();

              } catch (Exception e) {
                System.out.println("Databse error");
                }
        }
    }
    if(dataArray.isEmpty()){
        if(keyin.indexOf("#")==-1){
            for(int i=10;i<15;i++){
                query = "select * from " + tableName + " where key='" + keyin + "#"+i+"';";
                try {
                    ResultSet rs = stat[0].executeQuery(query);
                    while (rs.next()) {
                        String dataH=rs.getString("lnum");
                        dataArray.add(dataH);
                    }
                    rs.close();
                  }
                  catch (Exception e) {return (e+" Error 160");}
            }
        }
    }
    if(dataArray.isEmpty()){
        dataArray.add("1");
    }
   return dataArray.get(0);//need to modify further
  }
  
  public String getList(String keyin,String direction,String dataDir) {
      keyin=keyin.replace("_","#");
      String out="keyin is: "+keyin;
      getCon(dataDir);
      int $nprev=12;int $nnext=12;
        out+="";
      if(direction.equals("UP")){
        $nprev=24;$nnext=0;
    }
    else if(direction.equals("DOWN")){
        $nprev=0;$nnext=24;
    }
      decode_preferences();
    String keyNative = Transcoder.processString(keyin, inputType, nativeType);
    int lnum = Integer.parseInt(list1b(keyNative));
    if(lnum<($nprev+1)){
          $nprev=lnum-1;
          $nnext=24-$nprev;
      }
      int $lnum1=lnum-$nprev;int $lnum2=lnum+$nnext;
      
    String query = "select * from " + tableName + " where " + $lnum1 + "<= lnum and lnum <= " +$lnum2+ ";";
      
      ArrayList<String> dataArray = new ArrayList<String>();
    int n = 0;
    try {
      ResultSet rs = stat[0].executeQuery(query);
      while (rs.next()) {
        n++;
        dataArray.add(rs.getString("key")+" "+rs.getString("hier"));
      }
      rs.close();

    } catch (Exception e) {return "error 146";}
    out = SHDisp.listdisp(keyin, dataArray, nativeType, outputType, $nprev);
    return out;
  }
  
  public String get_hom(String data){
      String $hom="";
      Pattern pattern = Pattern.compile("<hom>(.*?)</hom>.*?</h>");
      Matcher m = pattern.matcher(data);
      if(m.find()){
          $hom=m.group(1);
      }
    return $hom;
  }
  public String get_form(String data){
      String $hom="";
      Pattern pattern = Pattern.compile("<base>(.*?)</base>");
      Matcher m = pattern.matcher(data);
      if(m.find()){
          $hom=m.group(1);
      }
    return $hom.trim();
  }
  
  public String get_keyhom(String key, String data){
      String $hom = get_hom(data);
        return key+$hom;
  }
  
  
  private void decode_preferences() {
    String[] x = preferences.split(",");
    inputType = x[0];
    outputType = x[1];
  }


  public String getPreferences() {
    return preferences;
  }

  public void setPreferences(String preferences) {
    this.preferences = preferences;
  }
  
  private static boolean preg_match(String string, String $line) {
		 Pattern pattern = Pattern.compile(string);
		 Matcher matcher = pattern.matcher($line);
		 return matcher.find();
	}

  
}