/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.sanskritlibrary.lexicons.monier;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.sanskritlibrary.lexicons.Transcoder;

/**
 *
 * @author pgoyal
 */
public class serveimgMW extends HttpServlet {
    
    @Override
    public void doGet(HttpServletRequest request, HttpServletResponse response)
          throws ServletException, IOException { 
        response.setContentType("text/html;charset=UTF-8");
        Transcoder.setRequest(request);
        PrintWriter out = response.getWriter();
        String $page="";String $section="";
        try {
            String $file = request.getParameter("file");
            String result[]=getfiles($file);
            String $fileprev=result[0];String $filenext=result[1];
            String $ans="<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\"\"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">";
            $ans+="<html xmlns=\"http://www.w3.org/1999/xhtml\" lang=\"en\" xml:lang=\"en\">";
            $ans+= "<head>";
            $ans+= "<META HTTP-EQUIV=\"Content-Type\" CONTENT=\"text/html; charset=utf-8\">\n";
            $ans+= "<title>Cologne Scan</title>";
            $ans+= "<link rel='stylesheet' type='text/css' href=\"monier_serveimg.css\" />";
            $ans+="</head><body>\n";
            $ans+= "<img src=\"SaveData?image="+$file+"\" />";
            $ans+= "<div id='pagenav'>\n";
            $ans+=genDisplayFile("&lt;",$fileprev);
            $ans+=genDisplayFile("&gt;",$filenext);
            $ans+= "</div>\n";
            $ans+= "</body></html>\n";
            out.println($ans);
            
            
        }catch (Exception e) {
            out.println(e);
          }

          finally {
            out.close();
          }
        // TODO code application logic here
    }
    public String[] getfiles(String $pagein) throws IOException{
        String out[]=new String[2];
        for(int i=0;i<2;i++){
            out[i]="0";
        }
        Pattern p = Pattern.compile("^(.*?)/([^/.]*)[.](.*?)$");
        Matcher m = p.matcher($pagein);
        if(!m.find()){
            return out;
        }
        else{
            String $dir = m.group(1);
            String $match = m.group(2);
            String $sfx = m.group(3);
            String scanDir = getServletContext().getInitParameter("Scandir");
            BufferedReader br = new BufferedReader(new FileReader(scanDir+"MWScan/mwfiles.txt"));
        String s="";
        String $fileprev="0";
        String $filenext="0";
        boolean found=false;
        loop:while((s=br.readLine())!=null){
            String $line = s.trim();
            if($line.equals($match)){
                    found=true;
                    $line = br.readLine();
                    if($line!=null){
                            $filenext=$line.trim();
                     }
                     else{
                        $filenext=$match;
                     }
                    break loop;
                } else {
                    $fileprev=$line;
                }
            }
        br.close();
       if(!found){
            return out;
        }
        else{
           String $prev = $dir+"/"+$fileprev+"."+$sfx;
           String $next = $dir+"/"+$filenext+"."+$sfx;
           out[0]=$prev;out[1]=$next;
           return out;
       }
        }
    }
    public String genDisplayFile(String $text,String $file) {
         String $server = "serveimgMW"; // relative web address
         String $href = $server + "?file="+$file;
         String $a = "<a href='"+$href+"' class='nppage'><span class='nppage1'>"+$text+"</span>&nbsp;</a>";
        return $a+"\n";
    }
}
