package org.sanskritlibrary.lexicons.skd;

import java.io.*;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.ListIterator;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

//import javax.xml.parsers.ParserConfigurationException;
import javax.xml.parsers.SAXParser;
import javax.xml.parsers.SAXParserFactory;

import org.sanskritlibrary.lexicons.Transcoder;
import org.xml.sax.Attributes;
import org.xml.sax.SAXException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.xml.sax.helpers.DefaultHandler;

public class SKDDisp extends DefaultHandler{
    
	private static String $parentEl;
	private static String $row;
	private static String $row1;
	private static String $pagecol = "";
	private static int $true = 1;
	private static int $false = 0;
	private static int $inSanskrit=$false;
	private static String $noLit = "off";
	private static String $noParen = "off";
//	private static String $filter="";
	private static int $inlex = $false;
	private static int $invlex = $false;
	private static int $inParen = 0;
	private static int $inBracket = 0;
	private static int $msc = $false; // when a semicolon should break the record
	private static int $inas1 = $false; //in <as1><s>x</s></as1>
	private static int $inkey2;
	private static int $inls = $false;
        public static int $hashom = $false;
        public static String $key1="";
        public static String $hom1="";
        public static String dbName;
        public static Exception dbErr = null;
//	private static int $lsrow;
//	private static int $lsparentEl;
//	private static int $lsExpandCode;
//	private static int $lsExpandFlag;
//	private static int $dbg=$false;
        
        //The program below to find if a word exists in the database
        
        
        private void parseDocument(String line) {
		// sets the static row, row1 variables in Event handlers
		//get a factory
		SAXParserFactory spf = SAXParserFactory.newInstance();
		try {
		
			//get a new instance of parser
			SAXParser sp = spf.newSAXParser();
			
			//parse the string  and also register this class for call backs
//			sp.parse(line, this);
			InputStream is = new ByteArrayInputStream(line.getBytes());
			sp.parse(is,this);
			
		}catch(Exception se) {
			$row = "Error parsing line: " + se + "<br/> line = " + line + "<br/>";
			$row1 = "";
		}
	}
        public static String getHrefPage(String $page) {
		 // this is incomplete, compared to online version.
		 // no access to underlying scanned images available.
		String $ans="";
                String $disp="";
                String $param="";
                String $vol=$page.charAt(3)+"";
                $disp+="V. "+$vol;
                String $pNum=$page.substring($page.indexOf("-")+1,$page.indexOf("."));
                $disp+=", P. "+$pNum;
                if($page.indexOf(",")!=-1){
                    String $col=$page.substring($page.indexOf(",")+1);
                    $disp+=", C. "+$col;
                    $param=$page.substring(0,$page.indexOf(","));
                }
                else{
                    $param=$page;
                }
                
                String $args="file="+$param;
                $ans = "<a href='serveimgSKD?"+$args+"' target='_Blank'>"+$disp+"</a>";
                       
		 return $ans;
		}
	public static String bsdisp(String keyin, ArrayList<String> dataArray,
			String inputType, String outputType) {
//		String ans="";
	//   Rarely, two vowels occur consecutively (e.g. afRin).
	//   These don't print properly in devanagari.
	 String $key = keyin;
         String hom="";
         if($key.indexOf("#")!=-1){
                     int ind=$key.indexOf("#");
                     String hom_here=$key.substring(ind+1);
                     $key=$key.substring(0,ind);
                     hom="<sup>"+hom_here+"</sup>";
                 }
         
         String $table = "<h1>&nbsp;<SA>" + $key + "</SA>"+hom+"</h1>\n";
         $table += "<table class='display'>\n";
         ListIterator<String> it = dataArray.listIterator(); 
            loopO:while (it.hasNext()) {  
		 String line = it.next(); 
                 String page = get_page(line);
                line=line.substring(line.indexOf("</page")+7);
                line="<SA>"+line.replace("|", ".").replace("<HI>", "<>").replace("ì","<q>").replace("î","</q>");
                line=line.replace("<br/>","</SA><br/><SA>");
                line=line.replace("<q>","</SA><q><SA>").replace("</q>","</SA></q><SA>");
                line=line.substring(0,line.length()-4);
                $table += line.replace("<>","");
                $table += "["+getHrefPage(page)+"]<br/>";
            }
         $table += "</table>\n";
//		$table = preg_replace("<SA>","",$table);
//		$table = preg_replace("</SA>","",$table);
	 String $head = "<head>" + "</head>";
	 String $body = "<body>" + $table + "</body>";
	 String $html = "<html>"+$head + $body + "</html>";
         String html1 = Transcoder.processElements($html, inputType, outputType, "SA");
         return html1;
        }
        
        public static String listdisp(String keyin, ArrayList<String> dataArray,
			String inputType, String outputType, int $nmatches1) {
	 String $key = keyin;
	 $key = preg_replace("([aAiIuIfFxXeEoO])([aAiIuIfFxXeEoO])","$1 $2",$key); 
	 String $table = "";
	 if(dataArray.isEmpty()) {
		 $table += "<p>This word is not in the dictionary!";
	 }
         
	 $table += "<table class='display'>\n";
	 ListIterator<String> it = dataArray.listIterator();  
         int n=0;
         String $color="black";
	 while (it.hasNext()) {  
		 String line = it.next(); 
		 line = line.trim();
                 String hom="";
                 if(line.indexOf("#")!=-1){
                     int ind=line.indexOf("#");
                     String hom_here=line.substring(ind+1);
                     line=line.substring(0,ind);
                     hom="<sup>"+hom_here+"</sup>";
                 }
                 
                 if(n==0){
                      $table += "&nbsp;&nbsp;<a  onclick='getWordlistUp_keyboard(\""+line+"\");'><span style='color:black'>&#x25B2;</span></a><br/>\n";
                    }
                 if(n==$nmatches1){
                     $color="blue";
                 }
                 else{
                     $color="black";
                 }
                 
                 $table += //"<h1>&nbsp;<SA>" + line + "</SA></h1>\n";
		 "<a  onclick='getWordAlt_keyboard(\""+line+"\");'><font color=\""+$color+"\"><span class=\"devnag\"><SA>"+line+"</SA></span>"+hom+"</font></a><br/>\n";
                 n++;
                 if(n==dataArray.size()){
                      $table += "&nbsp;&nbsp;<a  onclick='getWordlistDown_keyboard(\""+line+"\");'><span style='color:black'>&#x25BC;</span></a><br/>\n";
                 }
         }  
//		ans = n + "data lines";
	 $table += "</table>\n";
//		$table = preg_replace("<SA>","",$table);
//		$table = preg_replace("</SA>","",$table);
	 String $head = "<head>" + "</head>";
	 String $body = "<body>" + $table + "</body>";
	 String $html = "<html>"+$head + $body + "</html>";
	 String html1 = Transcoder.processElements($html, inputType, outputType, "SA");
	 return html1;
}

        
	//Event Handlers
	public void startElement(String uri, String localName, String qName, Attributes attributes) throws SAXException {
		String $el = qName;$inSanskrit = $false;
		if ($el.equals("base"))  {
			   $inSanskrit = $true;
			  } else if($el.equals("s")) {
                              $inSanskrit = $true;
			  }
                          else if($el.equals("hom")){
                              if(!(attributes.getValue("n").equals("1"))){
                                $row +="</br>";
                              }
                              $row +="<sup>"+attributes.getValue("n")+"</sup>";
                          }
			  $parentEl = $el;
	}

	public void characters(char[] ch, int start, int length) throws SAXException {
		String $data= new String(ch,start,length);		
		  if ($inSanskrit == $true) {
                      if ($parentEl.equals("base"))  {
                          $row1+="<font color=\"blue\"><span class=\"devnag\"><SA>" + $data + "</SA></span></font>";
                      }
                      else{
                                   $row += "<font color=\"blue\"><span class=\"devnag\"><SA>" + $data + "</SA></span></font>";
                               }
                  }
			  else if ($parentEl.equals("lexid")){
			   $row += "<em>" + $data + ".</em>";
			  } else if($parentEl.equals("sense")){
                            $row += " " +$data+"</br>";
                          }
                          
                          else{
			   $row += $data;
			  }

	}
	
	
	public void endElement(String uri, String localName, String qName) throws SAXException {

//		if(qName.equalsIgnoreCase("Employee")) {
//			//add it to the list
//			myEmpls.add(tempEmp);
//			
//		}else if (qName.equalsIgnoreCase("Name")) {
//			tempEmp.setName(tempVal);
//		}else if (qName.equalsIgnoreCase("Id")) {
//			tempEmp.setId(Integer.parseInt(tempVal));
//		}else if (qName.equalsIgnoreCase("Age")) {
//			tempEmp.setAge(Integer.parseInt(tempVal));
//		}
		String $el = qName;
		  
		
	}
        
	

	
	private static boolean preg_match(String string, String $line) {
		 Pattern pattern = Pattern.compile(string);
		 Matcher matcher = pattern.matcher($line);
		 return matcher.find();
	}

	private static String preg_replace(	String string, String string2,
			String $line) {
		return $line.replaceAll(string, string2);
	}
//	public static void main(String[] args) {
//		String $line = "<H1a>";
//	}
        
        public static String get_hom(String data){
            String $hom="";
            Pattern pattern = Pattern.compile("<hom>(.*?)</hom>.*?</h>");
            Matcher m = pattern.matcher(data);
            if(m.find()){
                $hom=m.group(1);
            }
            boolean isEdited=false;
            loopi:for(int i=0;i<$hom.length();i++){
                if("12345678".indexOf($hom.charAt(i))==-1){
                       isEdited=true;
                       break loopi;
                }
            }
            if(isEdited){
                $hom="&lang;"+$hom+"&rang;";
            }
          return $hom;
        }
        public static String get_page(String data){
            String $hom="";
            Pattern pattern = Pattern.compile("<page>(.*?)</page>");
            Matcher m = pattern.matcher(data);
            if(m.find()){
                $hom=m.group(1);
            }
            return $hom;
        }
        public static String mod_hom(String data){
            String $hom=data;
            boolean isEdited=false;
            loopi:for(int i=0;i<$hom.length();i++){
                if("12345678".indexOf($hom.charAt(i))==-1){
                       isEdited=true;
                       break loopi;
                }
            }
            if(isEdited){
                $hom="&lang;"+$hom+"&rang;";
            }
          return $hom;
        }
        
}

