<%@page contentType='text/html' pageEncoding='UTF-8'%>
<%@include file='../WEB-INF/jspf/Head.jspf'%>
<%@include file='../WEB-INF/jspf/BreadCrumbs.jspf'%>
<%@include file='../WEB-INF/jspf/Menu.jspf'%>
<link rel='stylesheet' type='text/css' href='css/bib.css'/>
<script type='text/javascript'>
function doSubmit(n)
{
	$("#format").val(n);
	$("#buttons").submit();
}
</script>
<div class='contentEnglish'>
<div class='text'>
<div class='TXTbuttons'>
<form id='buttons' action='TextViewer' method='get'>
<input class='TXTmenuButton' style='display:inline' value='Text' onclick='doSubmit(0)' type='button'/>
<input class='TXTmenuButton' style='display:none' value='Sandhi-analyzed Text' onclick='doSubmit(1)' type='button'/>
<input class='TXTmenuButton' style='display:none' value='Kramapāṭha Reader' onclick='doSubmit(2)' type='button'/>
<input id='format' name='format' type='hidden' value=''/>
<input id='name' name='name' type='hidden' value='baudhdhs'/>
<input id='title' name='title' type='hidden' value='The Baudhayana-Dharmasūtra'/>
<input id='texttype' name='texttype' type='hidden' value=${texttype}/>
</form>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Title: </div>
	<div class='BIBvalue'>The Baudhayana-Dharmasūtra: First XML edition</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Author: </div>
	<div class='BIBvalue'>Baudhayana</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Editor: </div>
	<div class='BIBvalue'>Peter M. Scharf</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Contributor: </div>
	<div class='BIBvalue'>Matthias H. Ahlborn</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Contributions: </div>
	<div class='BIBvalue'>Xml markup and header in accordance with the Text Encoding Initiative (TEI) guidelines.</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Contributor: </div>
	<div class='BIBvalue'>Peter M. Scharf</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Contributions: </div>
	<div class='BIBvalue'>Created template for the document in accordance with the Text Encoding Initiative (TEI) guidelines.</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Version: </div>
	<div class='BIBvalue'>Version: 0.1</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Publication: </div>
	<div class='BIBvalue'>Providence, RI: The Sanskrit Library, 2010</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Copyright: </div>
	<div class='BIBvalue'>Copyright (C) 2010 The Sanskrit Library</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Copyright: </div>
	<div class='BIBvalue'>All rights reserved other than those granted under the Creative Commons Attribution Non-Commercial Share Alike license available in full at <a target='copyright' href='http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode'>http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode</a>, and summarized at <a target='copyright' href='http://creativecommons.org/licenses/by-nc-sa/3.0/'>http://creativecommons.org/licenses/by-nc-sa/3.0/</a>. Permission is granted to build upon this work non-commercially, as long as credit is explicitly acknowledged exactly as described herein and derivative work is distributed under the same license.</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>SubjectSL: </div>
	<div class='BIBvalue'>Dharmasūtra. Rules of particular Vedic schools</div>
</div>
<div class='BIBsec'>Source</div>
<div class='BIBentry'>
	<div class='BIBname'>Title: </div>
	<div class='BIBvalue'>Black Yajur-Veda</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Subtitle: </div>
	<div class='BIBvalue'>Baudhāyana-Dharmasūtra</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Editor: </div>
	<div class='BIBvalue'>Jost Gippert</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Publication: </div>
	<div class='BIBvalue'>Frankfurt: TITUS, 2008</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Web Page:</div>
	<div class='BIBvalue'><a target='source' href='http://titus.uni-frankfurt.de/texte/etcs/ind/aind/ved/yvs/dhs/baudhdhs/baudh.htm'>http://titus.uni-frankfurt.de/texte/etcs/ind/aind/ved/yvs/dhs/baudhdhs/baudh.htm</a></div>
</div>
<div class='BIBsec'>Source</div>
<div class='BIBentry'>
	<div class='BIBname'>Title: </div>
	<div class='BIBvalue'>Baudhāyana-Dharmasūtra: On the basis of the editions by E. Hultzsch, "Das Baudhayana-Dharmasutra. Zweite, verbesserte Auflage. [Abhandlungen für die Kunde des Morgenlandes, 16], Leipzig 1922 [= H]" and Umesa Chandra Pandeya, "The Baudhayana-Dharmasutra with the `Vivarana' Commentary by Sri Govinda Svami and Critical Notes by M. M. A. Chinnaswami Sastri. [The Kashi Sanskrit Series, 104] Varanasi 1972 [= K]" typed and analyzed by Masato Fujii and Mieko Kajihara, proofread by Toru Yagi under the guidance of Y. Ikari at the Institute for Research in Humanities, Kyōtō University; revised version 1 (completed on May 20, 1992). (yanom@cc.kyoto-su.ac.jp or ikari@zinbun.kyoto-u.ac.jp)</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Editor: </div>
	<div class='BIBvalue'>Y. Ikari</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Publication: </div>
	<div class='BIBvalue'>Kyōtō: 1992</div>
</div>
<div class='BIBsec'>Source</div>
<div class='BIBentry'>
	<div class='BIBname'>Title: </div>
	<div class='BIBvalue'>Das Baudhāyana-dharmasūtra</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Editor: </div>
	<div class='BIBvalue'>E. Hultzsch</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Publication: </div>
	<div class='BIBvalue'>Leipzig: F.A.Brockhaus, 1922</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Series: </div>
	<div class='BIBvalue'>Abhandlungen für die Kunde des Morgenlandes  Bd.16, nr.2</div>
</div>
<div class='BIBsec'>Source</div>
<div class='BIBentry'>
	<div class='BIBname'>Title: </div>
	<div class='BIBvalue'>Śrimaharṣibaudhāyanapraṇītaṃ Baudhāyana-dharmasūtram</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Subtitle: </div>
	<div class='BIBvalue'>Śrīgovindasvāmipraṇītavivaraṇasameta-saṭippaṇa- Hindīvyākhyopetam / Śrīmaharṣibaudhāyanapraṇītaṃ;  ṭippaṇīkāraḥ: Mahāmahopādhyā yaḥ A. Cinnasvāmiśāstrī. Hindī vyākhyākāraḥ: Umeśacandra Pāṇḍaya</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Editor: </div>
	<div class='BIBvalue'>Pandey, Umesh Chandra</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Publication: </div>
	<div class='BIBvalue'>Varanasi: Chowkhamba Sanskrit Series Office, 1972</div>
</div>
<div class='BIBentry'>
	<div class='BIBname'>Series: </div>
	<div class='BIBvalue'>Kāśī Saṃskṛta granthamālā  104</div>
</div>
<%@include file='../WEB-INF/jspf/BodyEnd.jspf'%>