<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@include file="WEB-INF/jspf/Head.jspf"%>
<%@include file="WEB-INF/jspf/BreadCrumbs.jspf"%>
<%@include file="WEB-INF/jspf/Menu.jspf"%>
<%@include file="WEB-INF/jspf/EnglishPage.jspf"%>
<script type="text/javascript">
    
    $(function()        // called the by jQuery when page is loaded. This is essentially the same as onload event on body element
    {
        load();
	});

	function getXHR()   // TODO: Use jQuery support for XMLHttpRequest
	{
		var xhr = null;
		try
		{
			xhr = new XMLHttpRequest();
		}
		catch (trymicrosoft)
		{
			try
			{
				xhr = new ActiveXObject("Msxml2.XMLHTTP");
			}
			catch (othermicrosoft)
			{
				try
				{
					xhr = new ActiveXObject("Microsoft.XMLHTTP");
				}
				catch (failed)
				{
					xhr = null;
				}
			}
		}

		if (xhr == null)
			alert("Error creating request object!");

		return xhr;
	}

	function load()
	{
		var currentPage = parseInt(document.getElementById("currentPage").value);
		var totalPages = parseInt(document.getElementById("totalPages").value);
		var btnNext = document.getElementById("btnNext");
		btnNext.disabled = currentPage == totalPages;

    	var btnPrev = document.getElementById("btnPrev");
		btnPrev.disabled = currentPage == 1;

		var as = document.getElementsByTagName("a");
		for (var i=0; i<as.length; i++)
		{
        	var a = as[i];
			if (!a.href)
			{
                a.style.cursor = 'pointer';
				a.onclick=function()
				{
					displayVerses(this);
				}
			}
		}
	}

	function displayVerses(el)
	{
		var xhr = getXHR();
		var text = document.getElementById("text").value;
		var url = "DisplayWordFrequencies?word="+encodeURIComponent(el.innerHTML)+"&text="+text;
		xhr.open("GET",url,false);
		xhr.send(null);
		w = window.open("", "bob", "width=700,height=500,menubar=yes,scrollbars=yes,resizable=yes");
		w.document.write(xhr.responseText);
		w.document.close();
	}

	function disableButtons()
	{
		var btnNext = document.getElementById("btnNext");
		btnNext.style.backgroundColor = "red";
		btnNext.onclick = function(){return false;};
		var btnPrev = document.getElementById("btnPrev");
		btnPrev.onclick = function(){return false;};
		btnPrev.style.backgroundColor = "red";
		return true;
	}
</script>

		 <form method="get" onsubmit="return disableButtons()">
			<div class="segment">
			<input id="btnPrev" name="btnPrev" type="submit" disabled="disabled" value="Prev" />
			<input id="btnNext" name="btnNext" type="submit" disabled="disabled" value="Next" />
			<span>${currentPage} of ${totalPages} pages</span>
				<div style="margin-top:15px; margin-left:15px; font-size:20px">
				${words}
				</div>
			<input id="currentPage" name="currentPage" type="hidden" value="${currentPage}"/>
			<input id="totalPages" name="totalPages" type="hidden" value="${totalPages}"/>
			<input id="text" name="text" type="hidden" value="${textName}"/>
			</div>
		 </form>

            <%@include file="WEB-INF/jspf/BodyEnd.jspf"%>
