<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@include file="WEB-INF/jspf/Head.jspf"%>
<%@include file="WEB-INF/jspf/BreadCrumbs.jspf"%>
<%@include file="WEB-INF/jspf/Menu.jspf"%>
<%@include file="WEB-INF/jspf/EnglishPage.jspf"%>

  <ul>
	<li><a target="AIRO" href="http://palimpsest.lss.wisc.edu/~gbuhnema/links.html">Archive of Indological Resources Online</a> (Gudrun B&uuml;hnemann)</li>
	<li><a target="CDSD" href="http://www.sanskrit-lexicon.uni-koeln.de/">Cologne Digital Sanskrit Dictionaries</a>

	<li><a target="CLJNU" href="http://sanskrit.jnu.ac.in/index.jsp">Computational Linguistics R&amp;D</a> (Jawaharlal Nehru University)
	<li><a target="DDSA" href="http://dsal.uchicago.edu/dictionaries/">Digital Dictionaries of South Asia</a> (University of Chicago)</li>
	<li><a target="IISB" href="http://www.new.dli.ernet.in/">Digital Library of India</a> (Indian Institute of Science, Bangalore)</li>
	<li><a target="DSBC" href="http://www.uwest.edu/sanskritcanon/index.html">Digital Sanskrit Buddhist Canon</a> (University of The West and Nagarjuna Institute of Exact Methods)</li>

	<li><a target="GRETIL" href="http://www.sub.uni-goettingen.de/ebene_1/fiindolo/gretil.htm">GRETIL &ndash; G&ouml;ttingen Register of Electronic Texts in Indian Languages</a> (Nieders&auml;chsische Staats- und Universit&auml;tsbibliothek G&ouml;ttingen)</li>
	<li><a target="ILF" href="http://forums.philosophyforums.com/threads/indian-metaphysics-and-epistemology-16735.html">Indian Logic Forum: Epistemology, Language and Metaphysics</a></li>
	<li><a target="IBMIB" href="http://indica-et-buddhica.org/">Indica et Buddhica: Materials for Indology and Buddhology</a> (Richard Mahoney)</li>

	<li><a target="IEED" href="http://www.indo-european.nl/">Indo-European Etymological Dictionary</a> (Department of Comparative Indo-European Linguistics, Universiteit Leiden)</li>
	<li><a target="IRIS" href="http://www.indology.info/">INDOLOGY: Resources for Indological Scholarship</a></li>
	<li><a target="MBP" href="http://www.archive.org/details/millionbooks">Million Book Project</a></li>
	<li><a target="OAH" href="http://www.omkarananda-ashram.org/">Omkarananda Ashram Himalayas</a></li>
	<li><a target="PSSG" href="http://sanskrit.sai.uni-heidelberg.de/Panini/HTML/">The Paninian System of Sanskrit Grammar</a> (Anand Mishra)
	<li><a target="PDPPS" href="http://iu.ff.cuni.cz/pandanus/">Pandanus: Database of Plants; Publications; Sanskrit E-texts</a> (Seminar of Indian Studies, Univerzita Karlova v Praze)</li>

	<li><a target="RGMRT" href="http://www.utexas.edu/cola/centers/lrc/RV/index.html">The Rigveda: Metrically Restored Text</a> (Karen Thomson and Jonathan Slocum; derived from <cite>Rig Veda: a Metrically Restored Text</cite>, by Barend A. van Nooten and Gary B. Holland)</li>
	<li><a target="SD" href="http://sanskritdocuments.org/home.html">Sanskrit Documents</a></li>
	<li><a target="SHS" href="http://sanskrit.inria.fr/">The Sanskrit Heritage Site</a> (G&eacute;rard Huet)</li>
	<li><a target="STS" href="http://sanskrit.safire.com/index.html">Sanskrit Texts and Stotras</a> (Dale Steinhauser)</li>

	<li><a target="SARVA" href="http://www.aa.tufs.ac.jp/sarva/">SARVA: South Asian Residual Vocabulary Assemblage</a> (Research institute for Languages and Cultures of Asia and Africa, Tokyo University of Foreign Studies [&#x6771;&#x4eac;&#x5916;&#x56fd;&#x8a9e;&#x5927;&#x5b66;])</li>
	<li><a target="SV" href="http://homepage.mac.com/somadevah/Etexts.html">Somadeva Vasudeva</a></li>
	<li><a target="SAWL" href="http://home.wlu.edu/~lubint/Links.htm">South Asia Web Links</a> (Religion Department, Washington and Lee University)</li>
        <li><a target="TITUS" href="http://titus.uni-frankfurt.de/indexe.htm">Thesaurus Indogermanischer Text- und Sprachmaterialien</a></li>
	<li><a target="VR" href="http://is1.mum.edu/vedicreserve/">Vedic Reserve: Reading the Vedic Literature in Sanskrit</a> (Peter Freund, Maharishi University of Management)</li>

	<li><a target="Vedamu" href="http://199.103.247.22/vedas/vedas.asp">Vedamu</a></li>
      </ul>


<%@include file="WEB-INF/jspf/BodyEnd.jspf"%>
