<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@include file="WEB-INF/jspf/Head.jspf"%>
<%@include file="WEB-INF/jspf/BreadCrumbs.jspf"%>
<%@include file="WEB-INF/jspf/Menu.jspf"%>
<%@include file="WEB-INF/jspf/EnglishPage.jspf"%>

<script type="text/javascript">
		 $(function()
		 {
			VKI_load();
		 });

		 function getAnalysis()
		 {
			var data = "wordform=" + encodeURIComponent($("#wordform").val());
			data += "&pac=" + SLPreferencesAccessCount;  // to prevent caching if preferences have been visited

			$.ajax({
				async: true,
				type: "GET",
				url: "MorphologicalAnalyzer",
				data: data,
				beforeSend: function(xhr){$("#divResult").html("Loading...")},
				success: function(response, status)
					{
						if (status == "success")
							{
								$("#divResult").html(response);
							}
					},
				error: function (xhr, status, errorThrown)
				{
					$("#divResult").html(status);
				}
			});
		 }

    </script>
Analyze:&nbsp;<input id="wordform" class='keyboardInput' type="text"/>
<input type="button" onclick="getAnalysis()" value="Submit Query"/>
<p>This is a prototype morphological analyzer for Sanskrit, which
currently handles about six million inflected <b>nominal</b> forms
compiled from stem data in Monier-Williams’ dictionary. It is an
experimental demonstration, and problems with both under-generation
and over-generation of forms are not unlikely. Input by default is
expected in the
<a href="encoding_gif" target="_blank">SLP1</a>
scheme. Output for the moment is restricted to Unicode Devanagari.</p>

<div id="divResult" class="segment"></div>
<%@include file="WEB-INF/jspf/BodyEnd.jspf"%>
