<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@include file="WEB-INF/jspf/Head.jspf"%>
<%@include file="WEB-INF/jspf/BreadCrumbs.jspf"%>
<%@include file="WEB-INF/jspf/Menu.jspf"%>
<%@include file="WEB-INF/jspf/EnglishPage.jspf"%>

<script type="text/javascript" src="mainx_js"></script>
<script type="text/javascript">
    $(function()
	{
        restoreViewState();
	});
</script>

<form method="post" action="ProofTranscoders" onsubmit="saveViewState(); return true;">
    <div>
        <p>Enter SLP1 text, choose encoding format and click test round trip. The
				SLP1 text will be transcoded to your chosen format and then back to SLP1
				which should be identical to the SLP1 you started with. Any discrepancies
				will be reported.
        </p>
        <h3>SLP1 Text</h3>
        <textarea id="txtSLP1" name="txtSLP1" cols="100" rows="5">a A i I u U f F x X e E o O M H k K g G N c C j J Y w W q Q R t T d D n p P b B m y r l v S z s h .</textarea>
        <select id="lstEncoding" name="drpEncoding">
            <option value="0">Select encoding</option>
            <option id="optDeva" value="deva">Unicode devanagari</option>
            <option id="optRoman" value="roman">Unicode roman</option>
            <option id='optWXInput' value='wx'>Hyderabad-Tirupati (WX)</option>
            <option id='optHKInput' value='hk'>Kyoto-Harvard (KH)</option>
            <option id='optITransInput' value='itrans'>Indian Language Transliteration (ITrans)</option>
            <option id='optVelthuisInput' value='velthuis'>Velthuis (VT)</option>
            <option id='optVedatype' value='vedatype'>Vedatype</option>
            <option id='optTelugu' value='telugu'>Telugu</option>
            <option id='optBengali' value='bengali'>Bengali</option>
            <option id='optGujarati' value='gujarati'>Gujarati</option>
            <option id='optGurmukhi' value='gurmukhi'>Gurmukhi</option>
            <option id='optKannada' value='kannada'>Kannada</option>
            <option id='optMalayalam' value='malayalam'>Malayalam</option>
            <option id='optOriya' value='oriya'>Oriya</option>
            <!--option id='optTamil' value='tamil'>Tamil</option-->
        </select> <br/>
        <input id="btnSubmit" name="btnSubmit" type="submit" value="Roundtrip"/>
        ${result}
        ${viewstate}
    </div>
</form>


<%@include file="WEB-INF/jspf/BodyEnd.jspf"%>
