<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@include file="WEB-INF/jspf/Head.jspf"%>
<%@include file="WEB-INF/jspf/BreadCrumbs.jspf"%>
<%@include file="WEB-INF/jspf/Menu.jspf"%>
<%@include file="WEB-INF/jspf/EnglishPage.jspf"%>

<p class='heading'>Lexical sources</p>
<ul>
 <li class="spaced">
  <a href="multidict?type=1">Integrated Sanskrit dictionary</a>
 </li>
 <li class="spaced">
  <a href="Cologne">Dictionary image-page indices</a>
 </li>
</ul>

<p class='heading'>Roots</p>
<ul>
 <li class="spaced">
  <a target="new" href="http://${currentDomain}/Sanskrit/Vyakarana/Dhatupatha/index2.html">Sāyaṇa's <cite>Mādhavīya Dhātuvṛtti</cite></a>
 </li>
 <li class="spaced">
  <a href="http://${currentDomain}/Sanskrit/whitney/index2.html">Whitney's <cite>Roots, verb-forms, and primary derivatives of the Sanskrit language</cite></a>
 </li>
</ul>

<p class='heading'>Phonetics and encoding</p>
<ul>
 <li class="spaced">
  <a href="BC?name=Accents&context=~ReferenceWorks">Vedic Unicode character phonetic value table</a>
 </li>
</ul>

<p class='heading'>Grammar</p>
<ul>
 <li class="spaced">
  <a target="whitney1" href="http://${currentDomain}/Sanskrit/Funderburk/wgramscan/disp/index.php">Whitney's <cite>Sanskrit grammar</cite>, first edition, images (PNG)</a>
 </li>
 <li class="spaced">
  <a target="whitney2" href="http://${currentDomain}/Sanskrit/Funderburk/wgramscan/dispa/index.php">Whitney's <cite>Sanskrit grammar</cite>, second edition, images (PNG)</a>
 </li>
 <li class="spaced">
  <a target="t8" href="http://www.sanskrit-lexicon.uni-koeln.de/scans/KALEScan/disp1/index1.php?sfx=png">Kale's <cite>Higher Sanskrit grammar</cite>, images (PNG)</a></li>
</ul>

<%@include file="WEB-INF/jspf/BodyEnd.jspf"%>
