<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@include file="../WEB-INF/jspf/Head.jspf"%>
<%@include file="../WEB-INF/jspf/BreadCrumbs.jspf"%>
<%@include file="../WEB-INF/jspf/Menu.jspf"%>
<%@include file="../WEB-INF/jspf/SymposiumPage.jspf"%>

<center><h3>Abstracts</h3></center>
<p class="heading">Keynote address</p>

<ol>
<li><a href="-/Sanskrit/Symposium/Abstracts/GeorgeCardona.pdf">On the structure of Pāṇini’s system</a><br>George Cardona, University of Pennsylvania</li>
</ol>

<p class="heading">Presentation Abstracts</p>

<ol>
<li><a target="abstract" href="-/Sanskrit/Symposium/Abstracts/StefanBaums.pdf">The Gāndhārī Dictionary Project: lexicographic integration and corpus‐dictionary interaction</a><br>Stefan Baums and Andrew Glass, University of Washington, Seattle</li>
<li><a target="abstract" href="-/Sanskrit/Symposium/Abstracts/CooperDoug.pdf">Sanskrit/Pali Digital Lexicography for Non-Indic Etymological and Comparative Analysis</a><br>Doug Cooper, Center for Research in Computational Linguistics, Thailand</li>
<li><a target="abstract" href="-/Sanskrit/Symposium/Abstracts/JimFunderburk.pdf">Marking Monier: current state of the digitized Monier-Williams dictionary</a><br>Jim Funderburk, Honesdale, Pennsylvania; and Thomas Malten, University of Cologne</li>
<li><a target="abstract" href="-/Sanskrit/Symposium/Abstracts/HuetGerard.pdf">Formal structure of Sanskrit text: requirements: analysis for a mechanical Sanskrit reader</a><br>Gérard Huet, INRIA-Rocquencourt</li>
<li><a target="abstract" href="-/Sanskrit/Symposium/Abstracts/GirishNathJha.pdf">Semantic processing in Pāṇini’s kāraka system</a><br>Girish Nath Jha, J.N.U. New Delhi</li>
<li><a target="abstract" href="-/Sanskrit/Symposium/Abstracts/JoshiPrasad.jpg">A glimpse into the <i>apadam</i>-constraint in the tradition of Sanskrit grammar</a><br>Prasad Joshi, Fergusson College, Pune</li>
<li><a target="abstract" href="-/Sanskrit/Symposium/Abstracts/KulkarniAmbaMar6.pdf">Information Coding in a language: some insights from Pāṇinian Grammar</a><br>Amba Kulkarni, University of Hyderabad</li>
<li><a target="abstract" href="-/Sanskrit/Symposium/Abstracts/KulkarniAmbaMar16.pdf">Computer Simulation of Aṣṭādhyāyī</a><br>Pawan Goyal, Himanshu Singh, IIT Kanpur; Amba Kulkarni, University of Hyderabad; Laxmidhar Behera, IIT Kanpur</li>
<li><a target="abstract" href="-/Sanskrit/Symposium/Abstracts/KulkarniMalhar.pdf">Verbal roots in the Sanskrit Wordnet</a><br>Malhar Kulkarni and Pushpak Bhattacharya, IIT Bombay, Mumbai</li>
<li><a target="abstract" href="-/Sanskrit/Symposium/Abstracts/NairSobha.pdf">Algorithm for Anaphor Resolution in Sanskrit Texts</a><br>L. Sobha Nair and Pravin Pralayankar, Anna University, Chennai</li>
<li><a target="abstract" href="-/Sanskrit/Symposium/Abstracts/OguibenineBoris.pdf">Issues in Combinatorial Analysis of Vedic Verbal and Nominal Forms</a><br>Boris Oguibenine, Université Marc Bloch, Strasbourg</li>
<li><a target="abstract" href="-/Sanskrit/Symposium/Abstracts/SinhaRMK.pdf">Machine Translation of Simple English Sentences to Sanskrit</a><br>Pawan Goyal and R. Mahesh K. Sinha, Indian Institute of Technology, Kanpur</li>
</ol>

<p class="heading">Automated manuscript collation and text-image alignment abstracts</p>

<ol>
<li><a target="abstract" href="-/Sanskrit/Symposium/Abstracts/PeterRobinson.html">Towards a scholarly collation system for the next decades</a><br>Peter Robinson, University of Birmingham</li>
<li><a target="abstract" href="-/Sanskrit/Symposium/Abstracts/WendyPhillips.pdf">Chi squares and the phenomenon of change of exemplar in the Dyūtaparvan</a><br>Wendy J. Phillips-Rodríguez, Institute for Philological Research, National Autonomous University of Mexico, Mexico City</li>
<li><a target="abstract" href="-/Sanskrit/Symposium/Abstracts/ThomasBreuel.html">Advances in Multilingual OCR and Statistical Language Processing</a><br>Thomas Breuel, Technical University of Kaiserslautern and the German Research Center for Artificial Intelligence, Kaiserslautern</li>
<li><a target="abstract" href="-/Sanskrit/Symposium/Abstracts/VenugopalGovindaraju.html">Word Recognition and Keyword Spotting in Devanagari Documents</a><br>Venugopal Govindaraju, University at Buffalo</li>
</ol>


<%@include file="../WEB-INF/jspf/NSFfooter.jspf"%>

<%@include file="../WEB-INF/jspf/BodyEnd.jspf"%>
