<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@include file="../WEB-INF/jspf/Head.jspf"%>
<%@include file="../WEB-INF/jspf/BreadCrumbs.jspf"%>
<%@include file="../WEB-INF/jspf/Menu.jspf"%>
<%@include file="../WEB-INF/jspf/SymposiumPage.jspf"%>

<center><h3>Papers</h3></center>

<p>Post-conference selected and edited papers from the symposium appear in <a href="http://www.springer.com/computer/artificial/book/978-3-642-00154-3">LNCS 5402</a>, the inaugural volume on Sanskrit Computational Linguistics in Springer's series Lecture Notes in Artificial Intelligence (LNAI), a subseries of Lecture Notes in Computer Science (LNCS).</p>

<p class="heading">Keynote address</p>

<ol>
<li><a target="paper" href="-/Sanskrit/Symposium/Papers/Cardona.pdf">On the structure of Pāṇini’s system</a><br>George Cardona, University of Pennsylvania</li>
</ol>

<p class="heading">Automated manuscript collation and text-image alignment papers</p>

<ol>
<li><a target="paper" href="-/Sanskrit/Symposium/Papers/Robinson.pdf">Towards a scholarly collation system for the next decades</a><br>Peter Robinson, University of Birmingham</li>
<li><a target="paper" href="-/Sanskrit/Symposium/Papers/Phillips.pdf">Chi squares and the phenomenon of change of exemplar in the Dyūtaparvan</a><br>Wendy J. Phillips-Rodríguez, Institute for Philological Research, National Autonomous University of Mexico, Mexico City</li>
<li><a target="paper" href="-/Sanskrit/Symposium/Papers/Breuel.pdf">Advances in Multilingual OCR and Statistical Language Processing</a><br>Thomas Breuel, Technical University of Kaiserslautern and the German Research Center for Artificial Intelligence, Kaiserslautern</li>
<li><a target="paper" href="-/Sanskrit/Symposium/Papers/Govindaraju.pdf">Word Recognition and Keyword Spotting in Devanagari Documents</a><br>Venugopal Govindaraju, University at Buffalo</li>
</ol>

<p class="heading">Other presentations</p>

<ol>
<li><a target="paper" href="-/Sanskrit/Symposium/Papers/Huet.pdf">Formal structure of Sanskrit text: requirements: analysis for a mechanical Sanskrit reader</a><br>Gérard Huet, INRIA-Rocquencourt</li>
<li><a target="paper" href="-/Sanskrit/Symposium/Papers/Jha.pdf">Semantic processing in Pāṇini’s kāraka system</a><br>Girish Nath Jha, J.N.U. New Delhi</li>
<li><a target="paper" href="-/Sanskrit/Symposium/Papers/Joshi.pdf">A glimpse into the <i>apadam</i>-constraint in the tradition of Sanskrit grammar</a><br>Prasad Joshi, Fergusson College, Pune</li>
<li><a target="paper" href="-/Sanskrit/Symposium/Papers/AmbaCoding.pdf">Information Coding in a language: some insights from Pāṇinian Grammar</a><br>Amba Kulkarni, University of Hyderabad</li>
<li><a target="paper" href="-/Sanskrit/Symposium/Papers/AmbaSimulation.pdf">Computer Simulation of Aṣṭādhyāyī</a><br>Pawan Goyal, IIT Kanpur; Amba Kulkarni, University of Hyderabad; Laxmidhar Behera, IIT Kanpur</li>
<li><a target="paper" href="-/Sanskrit/Symposium/Papers/MalharSktWN.pdf">Verbal roots in the Sanskrit Wordnet</a><br>Malhar Kulkarni and Pushpak Bhattacharya, IIT Bombay, Mumbai</li>
<li><a target="paper" href="-/Sanskrit/Symposium/Papers/Oguibenine.pdf">Issues in Combinatorial Analysis of Vedic Verbal and Nominal Forms</a><br>Boris Oguibenine, Université Marc Bloch, Strasbourg</li>
<li><a target="paper" href="-/Sanskrit/Symposium/Papers/Sinha.pdf">Machine Translation of Simple English Sentences to Sanskrit</a><br>Pawan Goyal and R. Mahesh K. Sinha, Indian Institute of Technology, Kanpur</li>
</ol>

<%@include file="../WEB-INF/jspf/NSFfooter.jspf"%>

<%@include file="../WEB-INF/jspf/BodyEnd.jspf"%>
