<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@include file="../WEB-INF/jspf/Head.jspf"%>
<%@include file="../WEB-INF/jspf/BreadCrumbs.jspf"%>
<%@include file="../WEB-INF/jspf/Menu.jspf"%>
<%@include file="../WEB-INF/jspf/SymposiumPage.jspf"%>

<center><h3>Program</h3></center>
<h3>Thursday, 15 May 2008</h3>
<h4>8:30-9:00 a.m.	Registration</h4>
<h4>9:00-9:15 a.m.	Opening Remarks (Peter Scharf)</h4>
<h4>9:15-10:45 a.m.	Keynote Address</h4>
<ol>
<li>On the structure of Pāṇini’s system, George Cardona, University of Pennsylvania<br>
<a target="paper" href="-/Sanskrit/Symposium/Abstracts/GeorgeCardona.pdf">abstract</a>, <a target="paper" href="-/Sanskrit/Symposium/Papers/Cardona.pdf">paper</a></li>
</ol>
<h5>10:45-11:00 a.m.	Break</h5>
<h4>11:00 a.m. - 12:30 p.m.	Modeling Pāṇinian Grammar</h4>
<p>Peter Scharf, session chair</p>
<ol>
<li>Information Coding in a language: some insights from Pāṇinian Grammar, Amba Kulkarni, University of Hyderabad<br>
<a target='paper' href="-/Sanskrit/Symposium/Abstracts/KulkarniAmbaMar6.pdf">abstract</a>, <a target='paper' href="-/Sanskrit/Symposium/Papers/AmbaCoding.pdf">paper</a></li>
<li>Semantic processing in Pāṇini’s kāraka system, Girish Nath Jha, J.N.U. New Delhi<br>
<a target='paper' href="-/Sanskrit/Symposium/Abstracts/GirishNathJha.pdf">abstract</a>, <a target='paper' href="-/Sanskrit/Symposium/Papers/Jha.pdf">paper</a></li>
</ol>
<h4>12:30-2:00 p.m.	Lunch</h4>
<p>Via Via Pizza, 205 Meeting Street</p>
<h4>2:00-3:30 p.m.	Modeling Pāṇinian Grammar continued</h4>
<ol>
<li>A glimpse into the <i>apadam</i>-constraint in the tradition of Sanskrit grammar, Prasad Joshi, Fergusson College, Pune<br>
<a target='paper' href="-/Sanskrit/Symposium/Abstracts/JoshiPrasad.jpg">abstract</a>, <a target='paper' href="-/Sanskrit/Symposium/Papers/Joshi.pdf">paper</a></li>

<li>Computer Simulation of Aṣṭādhyāyī, Pawan Goyal, IIT Kanpur; Amba Kulkarni, University of Hyderabad; Laxmidhar Behera, IIT Kanpur<br>
<a target='paper' href="-/Sanskrit/Symposium/Abstracts/KulkarniAmbaMar16.pdf">abstract</a>, <a target='paper' href="-/Sanskrit/Symposium/Papers/AmbaSimulation.pdf">paper</a></li>
</ol>
<h5>3:20-3:40 p.m.	Break</h5>
<h4>3:40-5:40 p.m.	Computational linguistic analysis</h4>
<p>Brendan Gillon, session chair</p>
<ol>
<li>Formal structure of Sanskrit text: requirements: analysis for a mechanical Sanskrit reader, Gérard Huet, INRIA-Rocquencourt<br>
<a target='paper' href="-/Sanskrit/Symposium/Abstracts/HuetGerard.pdf">abstract</a>, <a target='paper' href="-/Sanskrit/Symposium/Papers/Huet.pdf">paper</a></li>
<li>Issues in Combinatorial Analysis of Vedic Verbal and Nominal Forms<br>Boris Oguibenine, Université Marc Bloch, Strasbourg<br>
<a target='paper' href="-/Sanskrit/Symposium/Abstracts/OguibenineBoris.pdf">abstract</a>, <a target='paper' href="-/Sanskrit/Symposium/Papers/Oguibenine.pdf">paper</a></li>
<li>Machine Translation of Simple English Sentences to Sanskrit, Pawan Goyal and R. Mahesh K. Sinha, Indian Institute of Technology, Kanpur<br>
<a target='paper' href="-/Sanskrit/Symposium/Abstracts/SinhaRMK.pdf">abstract</a>, <a target='paper' href="-/Sanskrit/Symposium/Papers/Sinha.pdf">paper</a></li>
</ol>
<h4>7:00 p.m.	Dinner</h4>
<p>Kabob and Curry, 261 Thayer Street</p>

<h3>Friday, 16 May 2008</h3>
<h4>9:00 a.m.-12:00 p.m.	Automated manuscript collation and text-image alignment</h4>
<p>Elli Mylonas, session chair</p>
<h5>9:00 a.m.-10:20 a.m.	Automated manuscript collation</h5>
<ol>
<li>Towards a scholarly collation system for the next decades, Peter Robinson, University of Birmingham<br>
<a target='paper' href="-/Sanskrit/Symposium/Abstracts/PeterRobinson.html">abstract</a>, <a target='paper' href="-/Sanskrit/Symposium/Papers/Robinson.pdf">paper</a></li>
<li>Chi squares and the phenomenon of change of exemplar in the Dyūtaparvan, Wendy J. Phillips-Rodríguez, Institute for Philological Research, National Autonomous University of Mexico, Mexico City<br>
<a target='paper' href="-/Sanskrit/Symposium/Abstracts/WendyPhillips.pdf">abstract</a>, <a target='paper' href="-/Sanskrit/Symposium/Papers/Phillips.pdf">paper</a></li>
</ol>
<h5>10:20 a.m.- 10:40 a.m.	Break</h5>
<h5>10:40 a.m.- 12:00 p.m.	Text-image alignment</h5>
<ol>
<li>Advances in Multilingual OCR and Statistical Language Processing, Thomas Breuel, Technical University of Kaiserslautern and the German Research Center for Artificial Intelligence, Kaiserslautern<br>
<a target='paper' href="-/Sanskrit/Symposium/Abstracts/ThomasBreuel.html">abstract</a>, <a target='paper' href="-/Sanskrit/Symposium/Papers/Breuel.pdf">paper</a></li>
<li>Word Recognition and Keyword Spotting in Devanagari Documents, Venugopal Govindaraju, University at Buffalo<br>
<a target='paper' href="-/Sanskrit/Symposium/Abstracts/VenugopalGovindaraju.html">abstract</a>, <a target='paper' href="-/Sanskrit/Symposium/Papers/Govindaraju.pdf">paper</a></li>
</ol>
<h4>12:00 p.m.- 2:00 p.m.	Lunch</h4>
<p>Explore the cuisine of Providence's East Side</p>

<h4>2:00 p.m.-5:00 p.m. Semantics and Lexicography</h4>
<p>Malcolm Hyman, session chair</p>
<h5>2:00 p.m.-3:20 p.m. Sanskrit, Pali, and Gandhari</h5>
<ol>
<li><a target='paper' href="-/Sanskrit/Symposium/Abstracts/CooperDoug.pdf">Sanskrit/Pali Digital Lexicography for Non-Indic Etymological and Comparative Analysis</a><br>Doug Cooper, Center for Research in Computational Linguistics, Thailand</li>
<li><a target='paper' href="-/Sanskrit/Symposium/Abstracts/StefanBaums.pdf">The Gāndhārī Dictionary Project: lexicographic integration and corpus‐dictionary interaction</a><br>Stefan Baums and Andrew Glass, University of Washington, Seattle</li>
</ol>
<h5>3:20 p.m.-3:40 p.m. Break</h5>
<h5>3:40 p.m.-5:00 p.m. Sanskrit</h5>
<ol>
<li>Verbal roots in the Sanskrit Wordnet, Malhar Kulkarni and Pushpak Bhattacharya, IIT Bombay, Mumbai<br>
<a target='paper' href="-/Sanskrit/Symposium/Abstracts/KulkarniMalhar.pdf">abstract</a>, <a target='paper' href="-/Sanskrit/Symposium/Papers/MalharSktWN.pdf">paper</a></li>
<li><a target='paper' href="-/Sanskrit/Symposium/Abstracts/JimFunderburk.pdf">Marking Monier: current state of the digitized Monier-Williams dictionary</a><br>Jim Funderburk, Honesdale, Pennsylvania; and Thomas Malten, University of Cologne</li>
</ol>
<h4>6:30 p.m.	Dinner</h4>
<p>McCormick and Schmick's Seafood Restaurant, Biltmore Hotel, 11 Dorrance Street</p>

<h3>Saturday, 17 May 2008<br>Sanskrit Library Workshop</h3>
<p>Purpose: to facilitate collaboration to integrate digital texts, lexica, and linguistic software into a distributed, web-based, international digital Sanskrit library.  The library would allow access to digital images of primary cultural materials as well as to machine-readable text in Sanskrit, and would integrate these materials with tools for philological and linguistic research, and language instruction.  In the workshop we turn the sharing of ideas that took place in the symposium into a working partnership to achieve a concrete result.</p>
<h4>9:00 a.m.-12:00 p.m. Workshop Morning Session</h4>
<p>Peter Scharf, workshop chair</p>
<h4>Agenda</h4>
<h4>9:00-9:45	Administrative business</h4>
<ol>
<li>9:00-9:05	Establish agreement on the norms for the conduct of the workshop discussion<br>Adopt norms; appoint note-taker<br>Peter Scharf</li>
<li>9:00-9:15	Establish agreement on the goals and objectives of this and future workshops<br>Adopt criteria for distinguishing between work done in workshops and work done between workshops<br>Peter Scharf</li>
<li>9:15-9:30	Establish agreement on the framework of the Sanskrit Computational Linguistics Consortium<br>Adopt general criteria; solicit volunteer to draft organizational document; appoint officers<br>Gérard Huet</li>
<li>9:30-9:45	Establish agreement on the terms for acknowledgement and sharing of intellectual property<br>Adopt general criteria; solicit volunteer to draft and circulate formal agreement as part of the Consortium by-laws<br>Malcolm Hyman</li>
</ol>
<h5>9:45-10:00	Break</h5>
<h4>10:00-12:00	Encoding, tagging, and protocols</h4>
<ol>
<li>10:00-10:10	Report on progress since October<br>Amba Kulkarni</li>
<li>10:10-10:20	Establish the format for articulating encoding and tagging standards<br>Malcolm Hyman</li>
<li>10:20-10:30	Establish the format for articulating protocols for the coordination of digital resources<br>Malcolm Hyman</li>
<li>10:30-10:40	Assign and schedule encoding, tagging, and protocol tasks</li>
</ol>
<h5>10:40-11:00	Break</h5>
<h4>11:00-12:00	Lexical sources</h4>
<ol>
<li>11:00-11:30	Brief reports or recaps on the architecture of lexical sources<br>Gérard Huet<br>Stefan Baums<br>Jim Funderburk<br>Malhar Kulkarni (roots)<br>Peter Scharf (roots)<br>others?</li>
<li>11:30-11:45	Articulation of the steps necessary to integrate various lexical sources<br>Malcolm Hyman</li>
<li>11:45-12:00	Use of structured dictionaries to automate structuring unstructured lexical sources<br>Gérard Huet</li>
<li>12:00-12:15	Coordination of machine-readable lexica with digital images of lexical sources<br>Jim Funderburk</li>
<li>12:15-12:30	Assign and schedule lexical source integration tasks</li>
</ol>
<h4>12:30-2:00 p.m.	Lunch</h4>
<h4>2:00-5:00 p.m.	Workshop Afternoon Session<br>Integrating text with lexical sources</h4>
<ol>
<li>2:00-2:10 p.m.	Building a full-form inflected form lexicon and sandhi variant lexicon as a way of bridging between lexica and texts<br>Peter Scharf</li>
<li>2:10-2:30 p.m.	Cross-verification of inflection; structures of full-form lexica<br>Amba Kulkarni</li>
<li>2:30-2:50 p.m.	Structure of a full-form lexicon with sandhi variants<br>Malcolm Hyman</li>
<li>2:50-3:10 p.m.	Relation of parsers to full-form lexicon<br>Gérard Huet</li>
<li>3:10-3:20 p.m.	Assign and schedule full-form lexicon integration tasks</li>
</ol>
<h5>3:20-3:30	Break</h5>
<ol>
<li>3:30-4:00 p.m.	format of storing texts; ways of indicating text structure<br>Gérard Huet</li>
<li>4:00-4:30 p.m.	user interfaces; types of tools: searching, governance, semantic networks<br>All participants</li>
<li>4:30-5:00	Assign and schedule text-lexicon integration tasks</li>
</ol>
<h4>6:30 p.m.	Dinner</h4>


<%@include file="../WEB-INF/jspf/NSFfooter.jspf"%>

<%@include file="../WEB-INF/jspf/BodyEnd.jspf"%>
