<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!--lsb.append(String.format("<a class='ml' onclick=\"parseVerse('%s')\">%s</a>", slp1, line));-->
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv="content-type" content="text/html; charset=UTF-8"/>
        <title>${title}</title>

        <link rel="stylesheet" type="text/css" href="css/SL2010.css" media="screen" />
        <link rel="stylesheet" type="text/css" href="css/keyboard.css"/>
        <link rel="stylesheet" type="text/css" href="css/textDisplayEx.css"/>

        ${bookGeometry}
        <script type="text/javascript">
            var SHLink = '${SHLink}';
            var documentType = '${documentType}';
        </script>
        <script type="text/javascript" src="js/jquery-1.4.4.min.js"></script>
        <script type="text/javascript" src="js/keyboard.js"></script>
        <script type="text/javascript" src='js/ZipFile.complete.js'></script>
        <script type="text/javascript" src="js/pageDisplayEx.js"></script>
        <style type="text/css">

            .contextx a
            {
                color:beige;
                background-color:#3454B7;
            }
            .contextx a:link
            {
                color: beige;
                text-decoration: underline;
                border: 0px none;
                background-color:#3454B7;
            }

            .contextx a:hover
            {
                color: beige;
                text-decoration: underline;
                border: 0px none;
                background-color:#3454B7;
            }
        </style>
    </head>

    <body onload="init()">
        <div class="main">
            <div id="divBreadCrumbs" class="breadCrumbs">
                <img class='logo' width='90px' height='auto' src='images/SanskritLibraryLogo.jpeg'/>
                <span class="websiteName">The Sanskrit Library | </span>
                <span class="contextx">${context} ${title}</span>
            </div>
            <div>
                <%@include file="WEB-INF/jspf/Menu.jspf"%> <!-- div class = menu-->
                <div id="divNavigationBar">
                    <div id='divStructure'>
                    <!-- dynamically generated based on variable bookGeometry. E.G.,
				<span id='bookHeader'>Book</span>
				<select id='book'>...</select>
				<span id='chapterHeader'>Book</span>
				<select id='chapter'>...</select>
				<span id='verseHeader'>Book</span>
				<select id='verse'>...</select>
                    -->
                    </div>

                    <div id="divLeftRight" style="display:none">
                        <ul id="navigation">
                            <li class="left" onclick="gotoNextVerse(-1)"><a href="#">Back</a></li>
                            <li class="right" onclick="gotoNextVerse(1)"><a href="#">Next</a></li>
                        </ul>
                    </div>
                </div>
                <div id='divLeftBorder'></div>
                <div id='divTopBorder'></div>
                <div id='divRightBorder'></div>
                <div id='divBottomBorder'></div>
                <div id='divContent' style='font-family:Praja; font-size:${fontsize}pt; top:300px; left:200px'>Loading... (for large files using Devanagari script this may take more than a minute.)</div>
                <input type="hidden" id="hidTextStatus" value="${textStatus}"/>
            </div><!-- end of divPage -->
            <div>
                ${status}
            </div>
            <div id="divNSFFooter">
            <%@include file="WEB-INF/jspf/NSFfooter.jspf"%>
            </div>
        </div>  <!-- end of div class='main' -->
    </body>
</html>
