<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<%@include file="WEB-INF/jspf/Head.jspf"%>
<%@include file="WEB-INF/jspf/BreadCrumbs.jspf"%>
<%@include file="WEB-INF/jspf/Menu.jspf"%>
<%@include file="WEB-INF/jspf/EnglishPage.jspf"%>

<script type="text/javascript">
    function select(id, val)
    {
        id = '#' + id + " option";
        if (val.length == 0)
            $(id[0].selected = 'selected')
        else
        {
            var len = $(id).length;
            for (var i=0; i<len; i++)
            {
                var el = $(id)[i];
                if (el.value == val)
                {
                    el.selected = 'selected';
                    break;
                }
            }
        }
    }

    $(function()
    {
        var source = $('#currentsource')[0].value;
        if (source.length > 0)
        {
            select('source', source, 'all');
            select('period', $('#currentperiod')[0].value, 'all');
            select('format', $('#currentformat')[0].value, 'all');
        }
    });
</script>

<form action="Texts" method="get">
    <table>
        <tr>
            <td>Source</td>
            <td>
                <select id="source" name="source">
                    <c:forEach var="so" items="${sourceOptions}">
                        <option value='${so.value}'>${so.display}</option>
                    </c:forEach>
                </select>
            </td>
            <td>Period</td>
            <td>
                <select id="period" name="period">
                    <c:forEach var="po" items="${periodOptions}">
                        <option value='${po.value}'>${po.display}</option>
                    </c:forEach>
                </select>
            </td>
            <td>Format</td>
            <td>
                <select id="format" name="format">
                    <c:forEach var="fo" items="${formatOptions}">
                        <option value=${fo.value}>${fo.display}</option>
                    </c:forEach>
                </select>
            </td>
    </tr>
    </table>
    <input id="index" name="index" type="hidden" value="y"/>
    <input id="currentsource" type="hidden" value="${currentsource}"/>
    <input id="currentperiod" type="hidden" value="${currentperiod}"/>
    <input id="currentformat" type="hidden" value="${currentformat}"/>
    <input type="submit" value="Submit"/>
</form>
<%@include file="WEB-INF/jspf/BodyEnd.jspf"%>
