<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@include file="WEB-INF/jspf/Head.jspf"%>
<%@include file="WEB-INF/jspf/BreadCrumbs.jspf"%>
<%@include file="WEB-INF/jspf/Menu.jspf"%>
<%@include file="WEB-INF/jspf/EnglishPage.jspf"%>

<script type="text/javascript" src="js/pagedisplay.js"></script>
<script type="text/javascript" src="js/json2.js"></script>
<script type="text/javascript" src="js/TranscodeFile.js"></script>

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Advanced Transcoding</title>
    </head>
    <body>
       <form id="file_upload_form" enctype='multipart/form-data' method='POST' onSubmit="return testFormSubmit()">           
           <p>1. Describe how you mark the text to be transcoded.
               Use an asterisk (*) for the start tag to specify the transcoding of unmarked text. If an asterisk is
               used, then unmarked text must be encoded using the <b>From encoding</b> and will be transcoded to the
               <b>To encoding</b>. <a target="ex" href="example.html">For example</a></p>

            <table id="tagtable">
                <tr>
                    <th>Start tag</th>
                    <th>End tag</th>
                    <th>From encoding</th>
                    <th>To encoding</th>
                </tr>
            </table>
            <button id="addtag">Add tag</button> <button id="defaulttags">Add default tags</button> <br/>
            <p>2. Choose the file to be transcoded.</p>
            <input id="uploadFile" name="uploadFile" type='file' value="Upload file to transcode"/><br/>
            <p>3. Click the submit button to transcode your text. A download link will appear that you can click to download the transcoded file from our server.</p>
            <input type="submit" value="submit"/> <br/>
            <div id='filelink'>${result}</div>
        </form>
<%@include file="WEB-INF/jspf/BodyEnd.jspf"%>